package controle.eventos;

import thinletcommons.MessageDialog;
import visao.gui.telas.classes.ReiniciarConfig;
import jfan.fan.utilitarias.RecalculadorClasses;
import jfan.io.arquivos.GerenciadorPadroes;
import controle.main.App;

public class EvtLimparConjunto {

	public static void limparConjuntoTreinamento(){
		App.getGerenciadorPadroes().limparConjuntoTreinamento();
		GerenciadorPadroes gp = App.getGerenciadorPadroes();
		try {
			if ((gp.getConjuntoClassificacaoRede().size() == 0) && (gp.getConjuntoTesteRede().size() == 0) && (gp.getConjuntoValidacaoRede().size() == 0)) {
				App.getProjetoConfig().getRedeConf().setMaximos(null);
				App.getProjetoConfig().getRedeConf().setMinimos(null);
				App.getProjetoConfig().getRedeConf().setMedias(null);
				RecalculadorClasses.getClassesMapIndexReal().clear();
				RecalculadorClasses.getClassesMapRealIndex().clear();
				MessageDialog msg = new MessageDialog(App.getTelaEasyFAN().getFrame(),"Atenção","Todos os conjuntos estão vazios.\nDeseja reiniciar a rede?",MessageDialog.MODE_YES_NO);
				int resposta = msg.show();
				if (resposta == MessageDialog.ACTION_YES) {
					App.reiniciarGerenciadorPadroes();
					App.iniciaRede();
				}	
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
	public static  void limparConjuntoTeste(){
		App.getGerenciadorPadroes().limparConjuntoTeste();
		GerenciadorPadroes gp = App.getGerenciadorPadroes();
		try {
			if ((gp.getConjuntoClassificacaoRede().size() == 0) && (gp.getConjuntoTreinamentoRede().size() == 0) && (gp.getConjuntoValidacaoRede().size() == 0)) {
				App.getProjetoConfig().getRedeConf().setMaximos(null);
				App.getProjetoConfig().getRedeConf().setMinimos(null);
				App.getProjetoConfig().getRedeConf().setMedias(null);
				RecalculadorClasses.getClassesMapIndexReal().clear();
				RecalculadorClasses.getClassesMapRealIndex().clear();
				MessageDialog msg = new MessageDialog(App.getTelaEasyFAN().getFrame(),"Atenção","Todos os conjuntos estão vazios.\nDeseja reiniciar a rede?",MessageDialog.MODE_YES_NO);
				int resposta = msg.show();
				if (resposta == MessageDialog.ACTION_YES) {
					App.reiniciarGerenciadorPadroes();
					App.iniciaRede();
				}
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
    public static void limparConjuntoValidacao(){
    	App.getGerenciadorPadroes().limparConjuntoValidacao();
    	GerenciadorPadroes gp = App.getGerenciadorPadroes();
		try {
			if ((gp.getConjuntoClassificacaoRede().size() == 0) && (gp.getConjuntoTreinamentoRede().size() == 0) && (gp.getConjuntoTesteRede().size() == 0)) {
				App.getProjetoConfig().getRedeConf().setMaximos(null);
				App.getProjetoConfig().getRedeConf().setMinimos(null);
				App.getProjetoConfig().getRedeConf().setMedias(null);
				RecalculadorClasses.getClassesMapIndexReal().clear();
				RecalculadorClasses.getClassesMapRealIndex().clear();
				MessageDialog msg = new MessageDialog(App.getTelaEasyFAN().getFrame(),"Atenção","Todos os conjuntos estão vazios.\nDeseja reiniciar a rede?",MessageDialog.MODE_YES_NO);
				int resposta = msg.show();
				if (resposta == MessageDialog.ACTION_YES) {
					App.reiniciarGerenciadorPadroes();
					App.iniciaRede();
				}
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
    public static void limparConjuntoClassificacao(){
    	App.getGerenciadorPadroes().limparConjuntoClassificacao();
    	GerenciadorPadroes gp = App.getGerenciadorPadroes();
		try {
			if ((gp.getConjuntoValidacaoRede().size() == 0) && (gp.getConjuntoTreinamentoRede().size() == 0) && (gp.getConjuntoTesteRede().size() == 0)) {
				App.getProjetoConfig().getRedeConf().setMaximos(null);
				App.getProjetoConfig().getRedeConf().setMinimos(null);
				App.getProjetoConfig().getRedeConf().setMedias(null);
				RecalculadorClasses.getClassesMapIndexReal().clear();
				RecalculadorClasses.getClassesMapRealIndex().clear();
				MessageDialog msg = new MessageDialog(App.getTelaEasyFAN().getFrame(),"Atenção","Todos os conjuntos estão vazios.\nDeseja reiniciar a rede?",MessageDialog.MODE_YES_NO);
				int resposta = msg.show();
				if (resposta == MessageDialog.ACTION_YES) {
					App.reiniciarGerenciadorPadroes();
					App.iniciaRede();
				}
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
}
}
