package modelo;

import jfan.fan.normalizadores.NormalizatorConfiguration;
import jfan.fan.normalizadores.NormalizatorTypes;
import jfan.fan.temperas.ITemperaSimulada;
import jfan.fan.temperas.TemperaAleatoria;
import jfan.fan.temperas.TipoTempera;

public class TreinamentoConfig {
	
	private int cadaEpocaRenormalizar = 0;
	
	private int chanceRenormalizar = 0;
	
	private int cadaEpocaEmbaralharPadroes = 50;
	
	private int numeroPadroesTreino = 0;
	
	private boolean randomizarPesos = false;
	
	private int pesoBase = 500;
	
	private ITemperaSimulada tempera = new TemperaAleatoria();
	
	private int cadaEpocaResetTempera = 100;
	
	private TipoTempera tipoTempera = TipoTempera.TemperaAleatoria;
	
	private int cadaEpocaStepTempera = 10;

	private int porcentagemPadroesTreino = 0;
	
	private int numeroEpocasTreinar = -1;
	
	private int diasParada, horasParada, minutosParada, segundosParada; 
	
	public int getCadaEpocaEmbaralharPadroes() {
		return this.cadaEpocaEmbaralharPadroes;
	}

	public void setCadaEpocaEmbaralharPadroes(int cadaEpocaEmbaralharPadroes) {
		this.cadaEpocaEmbaralharPadroes = cadaEpocaEmbaralharPadroes;
	}

	public int getCadaEpocaRenormalizar() {
		return this.cadaEpocaRenormalizar;
	}

	public void setCadaEpocaRenormalizar(int cadaEpocaRenormalizar) {
		this.cadaEpocaRenormalizar = cadaEpocaRenormalizar;
	}

	public int getChanceRenormalizar() {
		return this.chanceRenormalizar;
	}

	public void setChanceRenormalizar(int chanceRenormalizar) {
		this.chanceRenormalizar = chanceRenormalizar;
	}

	public int getNumeroPadroesTreino() {
		return this.numeroPadroesTreino;
	}

	public void setNumeroPadroesTreino(int numeroPadroesTreino) {
		this.numeroPadroesTreino = numeroPadroesTreino;
	}

	public int getPesoBase() {
		return this.pesoBase;
	}

	public void setPesoBase(int pesoBase) {
		this.pesoBase = pesoBase;
	}

	public boolean isRandomizarPesos() {
		return this.randomizarPesos;
	}

	public void setRandomizarPesos(boolean randomizarPesos) {
		this.randomizarPesos = randomizarPesos;
	}

	public ITemperaSimulada getTempera() {
		return this.tempera;
	}

	public void setTempera(ITemperaSimulada tempera) {
		this.tempera = tempera;
	}

	public int getCadaEpocaResetTempera() {
		return this.cadaEpocaResetTempera;
	}

	public void setCadaEpocaResetTempera(int cadaEpocaResetTempera) {
		this.cadaEpocaResetTempera = cadaEpocaResetTempera;
	}

	public int getCadaEpocaStepTempera() {
		return this.cadaEpocaStepTempera;
	}

	public void setCadaEpocaStepTempera(int cadaEpocaStepTempera) {
		this.cadaEpocaStepTempera = cadaEpocaStepTempera;
	}

	

	public TipoTempera getTipoTempera() {
		return this.tipoTempera;
	}

	public void setTipoTempera(TipoTempera tipoTempera) {
		this.tipoTempera = tipoTempera;
	}

	public int getPorcentagemPadroesTreino() {
		return porcentagemPadroesTreino ;
	}
	
	public void setPorcentagemPadroesTreino(int porcentagem) {
		this.porcentagemPadroesTreino = porcentagem;
	}

	public int getNumeroEpocasTreinar() {
		return numeroEpocasTreinar;
	}

	public void setNumeroEpocasTreinar(int numeroEpocasTreinar) {
		this.numeroEpocasTreinar = numeroEpocasTreinar;
	}
	
	public void setTempoParada(int diasParada,int horasParada,int minutosParada,int segundosParada) {
		this.diasParada = diasParada;
		this.horasParada = horasParada; 
		this.minutosParada = minutosParada;
		this.segundosParada = segundosParada;
	}

	public int getDiasParada() {
		return diasParada;
	}

	public int getHorasParada() {
		return horasParada;
	}

	public int getMinutosParada() {
		return minutosParada;
	}

	public int getSegundosParada() {
		return segundosParada;
	}
	
	

}
