package visao.gui.telas.classes;

	import java.awt.Dialog;
	import java.awt.Frame;
	import java.io.IOException;
	import thinlet.Thinlet;
	import thinletcommons.AntiAliasedThinlet;
	import thinletcommons.ThinletDialog;

	public class ConjuntoNulo {

		private Thinlet thinlet;
		private ThinletDialog dialog;
		
		public ConjuntoNulo(Dialog owner) {
			this.dialog = new ThinletDialog(owner,false);
			this.init();
		}
		
		public ConjuntoNulo(Dialog owner, String title) {
			this.dialog = new ThinletDialog(owner,title,false);
			this.init();
		}
		
		public ConjuntoNulo(Frame owner) {
			this.dialog = new ThinletDialog(owner,false);
			this.init();
		}
		public ConjuntoNulo(Frame owner, String title) {
			this.dialog = new ThinletDialog(owner,title,false);
			this.init();
		}
		
		private void init() {
			this.thinlet = new AntiAliasedThinlet();
			Object panel = null;
			try {
				panel = thinlet.parse("/visao/gui/telas/ConjuntoNulo.xml", this);
			} catch (IOException e) {
				// TODO Criar mensagem de erro na constura��o
				e.printStackTrace();
				
			}
	        thinlet.add(panel);
	        dialog.setContent(thinlet);
		}
		
		public void show() {
			dialog.pack();
			dialog.setSize(380,100);
			dialog.setAlwaysOnTop(true);
	        dialog.setLocationRelativeTo(dialog.getOwner());
	        dialog.setVisible(true);
	    }
		
		public void cancelar(){
			dialog.setVisible(false);
		}
		
		public static void main(String[] args) {
			ConjuntoNulo cn = new ConjuntoNulo(new Frame(),"Conjunto Vazio");
			cn.show();
			while (cn.dialog.isShowing()) {}
			cn.dialog.dispose();
			
			System.exit(0);
			
		}

	}
