package visao.gui.telas.classes;

	import java.awt.Dialog;
	import java.awt.Frame;
	import java.io.IOException;
	import thinlet.Thinlet;
	import thinletcommons.AntiAliasedThinlet;
	import thinletcommons.ThinletDialog;

public class SaidaSistema {

		private Thinlet thinlet;

		private ThinletDialog dialog;

		public SaidaSistema(Dialog owner) {
			this.dialog = new ThinletDialog(owner, false);
			this.init();
		}

		public SaidaSistema(Dialog owner, String title) {
			this.dialog = new ThinletDialog(owner, title, false);
			this.init();
		}

		public SaidaSistema(Frame owner) {
			this.dialog = new ThinletDialog(owner, false);
			this.init();
		}

		public SaidaSistema(Frame owner, String title) {
			this.dialog = new ThinletDialog(owner, title, false);
			this.init();
		}

		private void init() {
			this.thinlet = new AntiAliasedThinlet();
			Object panel = null;
			try {
				panel = thinlet.parse("/visao/gui/telas/Saida.xml", this);
			} catch (IOException e) {
				// TODO Criar mensagem de erro na constura��o
				e.printStackTrace();

			}
			thinlet.add(panel);
			dialog.setContent(thinlet);
		}

		public void show() {
			dialog.pack();
			dialog.setSize(260, 100);
			dialog.setAlwaysOnTop(true);
			dialog.setLocationRelativeTo(dialog.getOwner());
			dialog.setVisible(true);
		}
        
		public void terminar(){
			System.exit(0);
		}
		public void cancelar() {
			dialog.setVisible(false);
		}

		public static void main(String[] args) {
			SaidaSistema ss = new SaidaSistema(new Frame(),
					"Fechar o Sistema");
			ss.show();
			while (ss.dialog.isShowing()) {
			}
			ss.dialog.dispose();

			System.exit(0);

		}

	}
