package visao.gui.telas.classes;

import java.awt.Frame;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;

import jfan.fan.NeuronioFAN;
import jfan.io.arquivos.PersistorDados;
import thinletcommons.AntiAliasedThinlet;
import thinletcommons.ExtensionFileFilter;
import thinletcommons.FileChooser;
import thinletcommons.FileFilter;
import thinletcommons.MessageDialog;
import thinletcommons.ThinletDialog;
import controle.main.App;

public class salvarRede extends AntiAliasedThinlet {
	 private ThinletDialog dialog;
	 private AntiAliasedThinlet thinlet;
     private FileChooser fc;
	 private static int tipNormalizacao;

	public void salvarRede(Frame ower, String title) {
		this.dialog = new ThinletDialog(ower,false);
		ChamarDialogo(App.getTelaEasyFAN().getFrame(),title);
		
	}
	
	private void ChamarDialogo(Frame owner, String title) {
	    	this.dialog = new ThinletDialog(owner,title,false);
	    	this.init();
	   
	  }
		
	private void init() {
			this.thinlet = new AntiAliasedThinlet();
			Object panel = null;
			try {
				panel = thinlet.parse("/visao/gui/telas/SalvarRede2.xml", this);
			} catch (IOException e) {
				new MessageDialog(dialog, "Erro ao abrir a janela", "Erro ao tentar abrir a configurao de normalizao").show();
				e.printStackTrace();
				
			}
	        thinlet.add(panel);
	        dialog.setContent(thinlet);
	        dialog.setModal(true);
		}
		
	public void show() {
			dialog.pack();
			dialog.setSize(310,190);
			dialog.setAlwaysOnTop(true);
	        dialog.setLocationRelativeTo(dialog.getOwner());
	        dialog.setVisible(true);
		}
	
	
	
	public void fileChooserSR(){
		String tipNeuronio = null;
		Object Item1 = thinlet.find("cbAtual");
		Object Item2 = thinlet.find("cbMelhorMediaAritmetica");
		Object Item3 = thinlet.find("cbMelhorMediaHarmonica");
		Object Item4 = thinlet.find("cbMelhorMaximodoMinimo");
		boolean Item11 = this.getBoolean(Item1,"selected");
		boolean Item12 = this.getBoolean(Item2,"selected");
		boolean Item13 = this.getBoolean(Item3,"selected");
		boolean Item14 = this.getBoolean(Item4,"selected");
		if (Item11 == true){
			tipNeuronio = this.getString(Item1,"text");
		}else if(Item12 == true){
			tipNeuronio = this.getString(Item2,"text");
		}else if(Item13 == true){
			tipNeuronio = this.getString(Item3,"text");
		}else if(Item14 == true){
			tipNeuronio = this.getString(Item4,"text");
		}
	//	tipNormalizacao = EasyFan.getTipoNormalizacao();
	//	System.out.println(tipNeuronio);
	//	System.out.println(tipNormalizacao);
		dialog.setVisible(false);
		fc = new FileChooser(App.getTelaEasyFAN().getFrame(),"Salvar Rede", FileChooser.MODE_SAVE);
		fc.setFileFilters(new FileFilter[]{
				new ExtensionFileFilter("enn", "EasyFAN files (*.enn)"),
				new ExtensionFileFilter("fan", "FAN files (*.fan)")
		  });
		 fc.show();
		 File selectedFile = fc.getSelectedFile();
		 if (selectedFile != null){
			 String enderecoDoArquivo = selectedFile.getPath();
			 String nomeArquivo = this.fc.getFileName();
			 String extArquivo = fc.getFilterChanged();
			 extArquivo = extArquivo.substring(extArquivo.length()-5,extArquivo.length()-1);
			 //String tipoRede = fc.getTipoNeuronio();
			 App.getProjetoConfig().getRedeConf().getTipoNormalizador();
			 PersistorDados pd = new PersistorDados();
			 ArrayList<NeuronioFAN> neuronios = null;
			 
			 if (tipNeuronio.equalsIgnoreCase("Atual"))
				 neuronios = App.getMonitorFAN().getNeuroniosAtuais();
		 	 else if (tipNeuronio.equalsIgnoreCase("Melhor Mdia Aritmtica"))
		 		 neuronios = App.getMonitorFAN().getNeuroniosMelhorAritmetica();
		 	 else if (tipNeuronio.equalsIgnoreCase("Melhor Mdia Harmnica"))
		 		 neuronios = App.getMonitorFAN().getNeuroniosMelhorHarmonica();
		 	 else if (tipNeuronio.equalsIgnoreCase("Melhor Mximo do Mnimo"))
		 		neuronios = App.getMonitorFAN().getNeuroniosMelhorMaximoMinimo();
		 	
			 
			 if(nomeArquivo == null || nomeArquivo.trim().length() == 0 || extArquivo.equalsIgnoreCase("(*.*"))
	            new MessageDialog(App.getTelaEasyFAN().getFrame(), "Nada selecionado", "Por favor selecione um arquivo.").show();
			 else{
				 if (extArquivo.equalsIgnoreCase(".enn")){
					 try {
						 enderecoDoArquivo += extArquivo;
						 pd.gravaNeuroniosFanXml(neuronios,enderecoDoArquivo,"Teste",App.getProjetoConfig().getRedeConf().getTipoNormalizador(), App.getProjetoConfig().getRedeConf().getMinimos(), App.getProjetoConfig().getRedeConf().getMaximos(), App.getProjetoConfig().getRedeConf().getMedias(),App.getGerenciadorPadroes());
					 } catch (Exception e) {
						 // TODO Auto-generated catch block
			 		  	 e.printStackTrace();
					 }
				 }else if(extArquivo.equalsIgnoreCase( ".fan" )){
					 try {
						 enderecoDoArquivo += extArquivo;
	    			 	 pd.gravaNeuroniosFanDat(neuronios,enderecoDoArquivo);
					 } catch (Exception e) {
						 	// TODO Auto-generated catch block
			 		 		e.printStackTrace();
					 }
				 } else{
					 new MessageDialog(App.getTelaEasyFAN().getFrame(), "Nada selecionado", "Por favor selecione um arquivo.").show();
				 }
	     	 }
		 }	 
	}	
}