package visao.gui.wizard;

import java.awt.Dialog;
import java.awt.Frame;
import java.io.IOException;
import java.util.ArrayList;

import jfan.fan.padroes.IPadrao;

import thinletcommons.AntiAliasedThinlet;
import thinletcommons.MessageDialog;
import thinletcommons.ThinletDialog;
import controle.eventos.EvtAbrirArquivo;
import controle.eventos.EvtLimparConjunto;
import controle.main.App;
import thinlet.Thinlet;
import visao.gui.telas.classes.viewHelp;
import visao.gui.telas.utils.CarregarTabela;
import visao.gui.telas.utils.DataView;

public class Wizard extends AntiAliasedThinlet{
	private Frame frame;
	private Thinlet thinlet;
	private Thinlet thinletExtension;
	private ThinletDialog dialog;
	private ThinletDialog novoConjunto;
	private ThinletDialog explExtensao;
	private viewHelp vHelp ;
	private String[][] array = null;
	private String[][] arrayTeste = null;
	private CarregarTabela carregarConjunto = null;
	private CarregarTabela carregarTeste = null;
	private EvtAbrirArquivo evtAbrirArquivo = new EvtAbrirArquivo();
	private int index = 0;
	private Object intro = null;
	private Object passo1 = null;
	private Object passo2 = null;
	private Object passo3 = null;
	private Object passo4 = null;
	private Object passo5 = null;
	private Object passoConjTeste = null;
	private Object cargaEpd = null;
	private Object cargaXls = null;
	private Object cargaTxt = null;
	private Object cargaDat = null;

	//abrir wizard apos chamada do easyfan
	 public void AbrirWizard(Frame ower, String title) {
			frame = ower;
		 	this.dialog = new ThinletDialog(ower,title,false);
			String Intro = null;
			this.initProximasPaginas(Intro);
	 }
	   
	 // init das proximas paginas
	 private void initProximasPaginas(String Passo) {
		    vHelp = new viewHelp(dialog);
		 	String passo = null;
		    if (Passo != null)
		 		passo = Passo;
			this.thinlet = new AntiAliasedThinlet();
			try {
				if (passo != null){
				   if (passo.equals("Introducao")){
					  if (passo1 == null){
					     passo1 = thinlet.parse("/visao/gui/wizard/passo1.xml", this);
					  }  
					     thinlet.add(passo1);
				         dialog.setContent(thinlet);
				         dialog.setModal(true);
				   }else
				   if (passo.equals("Passo1")){
					   if (passo2 == null){
						     passo2 = thinlet.parse("/visao/gui/wizard/passo2.xml", this);
					   }    
						     thinlet.add(passo2);
					  	     dialog.setContent(thinlet);
					         dialog.setModal(true);
                   }else
				   if (passo.equals("Passo2")){
					   if (passo3 == null){
						     passo3 = thinlet.parse("/visao/gui/wizard/passo3.xml", this);
					   }
						     thinlet.add(passo3);
					         dialog.setContent(thinlet);
					         dialog.setModal(true);
				   }else
				   if (passo.equals("Passo3")){
					   if (passo4 == null){
						     passo4 = thinlet.parse("/visao/gui/wizard/passo4.xml", this);
					   }     
						     thinlet.add(passo4);
					         dialog.setContent(thinlet);
					         dialog.setModal(true);
					  
				   }else
				   if (passo.equals("Passo4")){
					   if (passo5 == null){
						     passo5 = thinlet.parse("/visao/gui/wizard/passo5.xml", this);
					   }	     
						     thinlet.add(passo5);
					         dialog.setContent(thinlet);
					         dialog.setModal(true);
				  }
			
				}else{
					Object panel = thinlet.parse("/visao/gui/wizard/introducaoWizard.xml", this);
					thinlet.add(panel);
			        dialog.setContent(thinlet);
			        dialog.setModal(true);
				}
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			
		}
	
	 //navegacao das paginas anteriores
	 private void initAnterior(String Passo) {
		 	String passo = null;
		    if (Passo != null)
		 		passo = Passo;
			this.thinlet = new AntiAliasedThinlet();
			try {
				if (passo != null){
				   if (passo.equals("Passo1")){
					       intro = thinlet.parse("/visao/gui/wizard/introducaoWizard.xml", this);
					 	   thinlet.add(intro);
					       dialog.setContent(thinlet);
					       dialog.setModal(true);
				   }else
				   if (passo.equals("Passo2")){
					  if (passo2 == null){
					         passo1 = thinlet.parse("/visao/gui/wizard/passo1.xml", this);
					  }	    
					         thinlet.add(passo1);
					         dialog.setContent(thinlet);
					         dialog.setModal(true);
				   }else
				   if (passo.equals("Passo3")){
					  if (passo3 == null){
						     passo2 = thinlet.parse("/visao/gui/wizard/passo2.xml", this);
					  }	    
						     thinlet.add(passo2);
						     dialog.setContent(thinlet);
						     dialog.setModal(true);
				   }else
				   if (passo.equals("Passo4")){
					  if (passo4 == null){
						     passo4 = thinlet.parse("/visao/gui/wizard/passo3.xml", this);
					  }	    
						     thinlet.add(passo3);
						     dialog.setContent(thinlet);
						     dialog.setModal(true);
				   }else
				   if (passo.equals("Passo5")){
					if (passo5 == null){
					         passo4 = thinlet.parse("/visao/gui/wizard/passo4.xml", this);
					}	    
					         thinlet.add(passo4);
					         dialog.setContent(thinlet);
					         dialog.setModal(true);
				  }
			   }
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}	 
	 
	//visualiza��o das telas de navega��o
	public void show() {
			dialog.pack();
			dialog.setSize(830,500);
			dialog.setAlwaysOnTop(false);
	        dialog.setLocationRelativeTo(dialog.getOwner());
	        dialog.setVisible(true);
		}
	
	   
   // navega��o proxima pagina entre as telas
    public void paginaProxima(Object passo){
		    String ps  = this.getString(passo, "text");
		   	initProximasPaginas(ps);
		   	if(ps.equalsIgnoreCase("Introducao")){
		   		show();
		   	}else
		   	if(ps.equalsIgnoreCase("Passo1")){
			   	show();
			}else
			if(ps.equalsIgnoreCase("Passo2")){
			 	show();
			}else
			if(ps.equalsIgnoreCase("Passo3")){
				show();
			}
			if(ps.equalsIgnoreCase("Passo4")){
				if (getIndex() == 0){
					try {
						Object Screen = App.getTelaEasyFAN().getSreen();
						App.getTelaEasyFAN().mudaAba(thinlet.find(Screen,"geral"),thinlet.find(Screen,"btAbaTreino"));
						/*ArrayList<IPadrao>	conjTreinamento = App.getGerenciadorPadroes().getConjuntoTreinamentoRede();
						ArrayList<IPadrao>	conjTeste = App.getGerenciadorPadroes().getConjuntoTesteRede();
						for (IPadrao p: conjTreinamento){
							conjTeste.add(p.clone());
						}*/
						//App.getGerenciadorPadroes().getConjuntoTesteRede().addAll(App.getGerenciadorPadroes().getConjuntoTreinamentoRede());
						App.getGerenciadorPadroes().setConjuntoTeste(App.getGerenciadorPadroes().getConjuntoTreinamento());
						if (App.getGerenciadorPadroes().getConjuntoTreinamentoRede().size() > 0)
							App.getMonitorFAN().setClasses(App.getGerenciadorPadroes().getClassesConjuntoTreinamento());
						App.getTelaEasyFAN().configurarHabilitacaoConjuntoTreinamento();
						App.getTelaEasyFAN().configurarHabilitacaoConjuntoTeste();
					} catch (Exception e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
				}else if (getIndex() == 1){
					  Object Screen = App.getTelaEasyFAN().getSreen();
					  App.getTelaEasyFAN().mudaAba(thinlet.find(Screen,"geral"),thinlet.find(Screen,"btAbaTreino"));
					  Object porcTreino = thinlet.find(passo4,"txtPorcentagemTreino");
					  int pTreino = Integer.parseInt(getString(porcTreino,"text"));
					  try {
					    App.getGerenciadorPadroes().setConjuntoTreinamentoComPorcentagemDe(pTreino);
						App.getGerenciadorPadroes().setConjuntoTeste(App.getGerenciadorPadroes().getConjuntoTreinamento());
						if (App.getGerenciadorPadroes().getConjuntoTreinamentoRede().size() > 0)
							App.getMonitorFAN().setClasses(App.getGerenciadorPadroes().getClassesConjuntoTreinamento());
					} catch (Exception e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
					App.getTelaEasyFAN().configurarHabilitacaoConjuntoTreinamento();
					App.getTelaEasyFAN().configurarHabilitacaoConjuntoTeste();
				}
				else if (getIndex() == 2 ){
					try{
						Object Screen = App.getTelaEasyFAN().getSreen();
						App.getTelaEasyFAN().mudaAba(thinlet.find(Screen,"geral"),thinlet.find(Screen,"btAbaTreino"));
						App.getGerenciadorPadroes().getConjuntoTesteRede().addAll(App.getGerenciadorPadroes().getConjuntoTesteRede());
						App.getGerenciadorPadroes().setConjuntoTeste(App.getGerenciadorPadroes().getConjuntoTeste());
						if (App.getGerenciadorPadroes().getConjuntoTreinamentoRede().size() > 0)
							App.getMonitorFAN().setClasses(App.getGerenciadorPadroes().getClassesConjuntoTreinamento());
						App.getTelaEasyFAN().configurarHabilitacaoConjuntoTreinamento();
						App.getTelaEasyFAN().configurarHabilitacaoConjuntoTeste();
					}catch (Exception e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
				}
				show();
				
			}
			
	 }   	
		 
	 // navega��o pagina anterior
	 public void paginaAnterior(Object passo){
		    String ps  = this.getString(passo, "text");
		   	initAnterior(ps);
		   	if(ps.equalsIgnoreCase("Passo1")){
			   	   show();
			}else
			if(ps.equalsIgnoreCase("Passo2")){
				   show();
			}else
			if(ps.equalsIgnoreCase("Passo3")){
				   show();   	
			}else
			if(ps.equalsIgnoreCase("Passo4")){
				   show();   	
		    }else
			if(ps.equalsIgnoreCase("Passo5")){
				  show();
			}
	 }
	
     //	adicionar arquivo passo 2 utilizando o filechooser
	   public void adicionarArquivo(Object table, Object button1,Object pagAtual, Object maxPage,Object button2,Object button3,Object btProximoPasso){
		   array = evtAbrirArquivo.abrirTreinamento();
		   	if (array != null){
		   		try {
				if (carregarConjunto == null)
	   				carregarConjunto = new CarregarTabela(this.thinlet,table,pagAtual,maxPage);
	            	carregarConjunto.carregaDados(array);
				    this.repaint();
		   		} catch (Exception e) {
		   			e.printStackTrace();
		   		}
		   		setBoolean(button1, "enabled", true);
		   		setBoolean(button2, "enabled", true);
		   		setBoolean(button3, "enabled", true);
		   		setBoolean(btProximoPasso, "enabled", true);
		   	}
		   	thinlet.repaint();	
		   	dialog.repaint();
	    }

	  //limpar conjunto de arquivos 
	   public void limparDados(Object table, Object button1, Object label1,
				Object label2, Object button2, Object button3, Object btProximoPasso, Object lbNumPadroes,Object lbNumCarac) {
			this.array = null;
			carregarConjunto.clearTable();
			EvtLimparConjunto.limparConjuntoTreinamento();
			setBoolean(button1, "enabled", false);
			setString(lbNumCarac, "text","");
			setString(lbNumPadroes, "text","");			
			setString(label1, "text","");
			setString(label2, "text","");
			setBoolean(button2, "enabled", false);
			setBoolean(button3, "enabled", false);
			setBoolean(btProximoPasso, "enabled", false);
			thinlet.repaint();
			dialog.repaint();
		}
	
      //limpar conjunto de teste 
	   public void limparDadosTeste(Object table, Object button1, Object label1,
				Object label2, Object button2, Object button3, Object lbNumPadroes,Object lbNumCarac) {
			this.arrayTeste = null;
			Object btProximoPasso = thinlet.find(passo4,"btProximoPasso");
			DataView dv = new DataView(new Frame());
			if(carregarTeste != null){
				carregarTeste.clearTable();
			}
			EvtLimparConjunto.limparConjuntoTeste();
			setBoolean(button1, "enabled", false);
			setString(label1, "text","");
			setString(label2, "text","");
			setString(lbNumCarac, "text","");
			setString(lbNumPadroes, "text","");
			setBoolean(button2, "enabled", false);
			setBoolean(button3, "enabled", false);
	   		setBoolean(btProximoPasso,"enabled",false);
	   		thinlet.repaint();
			dialog.repaint();
		}
	   
	   //proxima pagina conjunto de arquivos 
	   public void nextPage(){
		   carregarConjunto.nextPage();
		   
	   }
	    
	  //pagina anterior conjunto de arquivos
	   public void beforePage(){
		   carregarConjunto.beforePage();
	   } 
	 
	// adicionar novo conjunto para teste passo 4 
	 public void adicionarNovoConjuntoPasso4(){
		   initNovoConjuntoPasso4();
		   showNovoConjuntoPasso4();
	 }
	   
	 //abertura da tela de escolha de novo conjunto para teste na op��o 4
	   private void initNovoConjuntoPasso4() {
			this.thinlet = new AntiAliasedThinlet();
			try {
				if (passoConjTeste == null){
				   passoConjTeste = thinlet.parse("/visao/gui/wizard/passo4AdicionarConjunto.xml", this);
				}
			} catch (IOException e) {
				new MessageDialog(dialog, "Erro ao abrir a janela", "Erro ao tentar abrir a configura��o de t�mpera").show();
				e.printStackTrace();
				
			}
	       thinlet.add(passoConjTeste);
	       this.novoConjunto = new ThinletDialog(new Frame(),"Novo Conjunto",false);
	       novoConjunto.setContent(thinlet);
    	} 
    
    //visualiza��o da tela de escolha de novo conjunto para teste na op��o 4
	public void showNovoConjuntoPasso4() {
			novoConjunto.pack();
			novoConjunto.setSize(723,425);
			novoConjunto.setAlwaysOnTop(false);
	        novoConjunto.setLocationRelativeTo(dialog.getOwner());
	        novoConjunto.setModal(true);
	        novoConjunto.setVisible(true);
		}   
    
   //	adicionar novo conunto de testes passo 4 
	public void adicionarArquivoTeste(Object table, Object button1,Object pagAtual, Object maxPage,Object button2,Object button3){
		  arrayTeste = evtAbrirArquivo.abrirTeste();
		  Object btProximoPasso = thinlet.find(passo4,"btProximoPasso");
		   	if (arrayTeste != null){
		   		try {
				if (carregarTeste == null)
	   				carregarTeste = new CarregarTabela(this.thinlet,table,pagAtual,maxPage);
	            	carregarTeste.carregaDados(arrayTeste);
				    this.repaint();
		   		} catch (Exception e) {
		   			e.printStackTrace();
		   		}
		   		setBoolean(button1, "enabled", true);
		   		setBoolean(button2, "enabled", true);
		   		setBoolean(button3, "enabled", true);
		   		setBoolean(btProximoPasso,"enabled",true);
		   	}
		   	thinlet.repaint();
		   	dialog.repaint();
	    }
	
	 //proxima pagina conjunto de teste
	   public void nextPageTeste(){
		   carregarTeste.nextPage();
		   
	   }
	    
	  //pagina anterior conjunto de teste
	   public void beforePageTeste(){
		   carregarTeste.beforePage();
	   } 
	
	//confirmar novo conjunto para teste passo 4
	public void confirmarNovoConjunto(){
		   novoConjunto.setVisible(false);
		   thinlet.repaint();
	  } 	   
	   
	//cancelar novo conjunto para teste passo 4
	public void cancelarNovoConjunto(Object tabelaWZ,Object btLimparConjunto,Object pagAtual,Object pagMax,Object btPaginaAnterior,Object btProximaPagina,Object lbCaracteristicas,Object lbPadroes){
		   limparDadosTeste(tabelaWZ,btLimparConjunto,pagAtual,pagMax,btPaginaAnterior,btProximaPagina,lbCaracteristicas,lbPadroes);
		   novoConjunto.setVisible(false);
		   thinlet.repaint();
	} 
	
	//chamar help
	public void chamarHelp(){
		  vHelp.visualizarHelp();
	}
		
   // validacao radiogroup passo4
   public void selectedRadio(Object rGroup,Object Lb1, Object Txt1, Object Lb2, Object Lb3,Object Txt2, Object Lb4, Object Bt1,Object btProximoPasso){
	   String Selected = this.getString(rGroup,"name");
       if (Selected.equalsIgnoreCase("cbPorcentagem")){
    	    String porcTreino = getString(Txt1, "text");
    	    String porcTeste = getString(Txt2, "text");
			if (porcTreino.equals("") || porcTeste.equals("")){
				setBoolean(btProximoPasso,"enabled",false);
			}else{
				setBoolean(btProximoPasso,"enabled",true);
			}
    	    setBoolean(Lb1,"enabled" ,true);
			setBoolean(Txt1,"enabled" ,true);
			setBoolean(Lb2,"enabled" ,true);
			setBoolean(Lb3,"enabled" ,true);
			setBoolean(Txt2,"enabled" ,true);
			setBoolean(Lb4,"enabled" ,true);
			setBoolean(Bt1,"enabled" ,false);
			setIndex(1);
		} else if (Selected.equalsIgnoreCase("cbMesmoConjunto")){
			setBoolean(btProximoPasso,"enabled",true);
			setBoolean(Lb1,"enabled" ,false);
			setBoolean(Txt1,"enabled" ,false);
			setBoolean(Lb2,"enabled" ,false);
			setBoolean(Lb3,"enabled" ,false);
			setBoolean(Txt2,"enabled" ,false);
			setBoolean(Lb4,"enabled" ,false);
			setBoolean(Bt1,"enabled" ,false);
			setIndex(0);
	  }else if (Selected.equalsIgnoreCase("cbNovoConjunto")){
		    thinlet.repaint();
		    if (this.arrayTeste == null){
		    	setBoolean(btProximoPasso,"enabled",false);
		    }else{
		    	setBoolean(btProximoPasso,"enabled",true);
		    }
			setBoolean(Lb1,"enabled" ,false);
			setBoolean(Txt1,"enabled" ,false);
			setBoolean(Lb2,"enabled" ,false);
			setBoolean(Lb3,"enabled" ,false);
			setBoolean(Txt2,"enabled" ,false);
			setBoolean(Lb4,"enabled" ,false);
			setBoolean(Bt1,"enabled" ,true);
			setIndex(2);
	  }
    thinlet.repaint();
    dialog.repaint();
   }
   
  // pegar o index do radiogroup para saber qual op��o est� selecionada	 
   public int getIndex() {
    	return index;
   }

  // setar o index do radiogroup para saber qual op��o est� selecionada	
   public void setIndex(int index) {
	   this.index = index;
   }
   
   // iniciar treinamento
   public void iniciarTreinamento(){
	  dialog.setVisible(false);
	  App.getTelaEasyFAN().clickBotaoTreinarParar();
	   
   }
   
   //valida��o da porcentagem treino
   public void calculaPorcentagemTreino(Object textTreino, Object textTeste, Object btProximaPagina) {
		String pTreino = getString(textTreino, "text");
		String pTeste = getString(textTeste, "text");
		int porcentagem = 0;
		if (pTreino != null && !pTreino.equals("")) {
			    try {
					porcentagem = Integer.parseInt(pTreino);
					if (porcentagem > 99) {
						pTreino = pTreino.substring(0, pTreino.length() - 1);
					}	
						pTeste = Integer.toString(100 - Integer.parseInt(pTreino));
						setString(textTreino, "text", pTreino);
						setString(textTeste, "text", pTeste);
						setBoolean(btProximaPagina,"enabled",true);
				} catch (NumberFormatException e) {
					StringBuilder sb = new StringBuilder(pTreino);
					int j = 0;
					while(j < sb.length()) {
						try {
							int z = Integer.parseInt(Character.toString(sb.charAt(j)));
							j++;
						}
						catch (NumberFormatException ex) {
							sb.deleteCharAt(j);
						}
					}
					setString(textTreino,"text",sb.toString());
					pTreino = pTreino.substring(0, pTreino.length() - 1);
					if (pTreino != null && !pTreino.equals("") ){
						pTeste = Integer.toString(100 - Integer.parseInt(sb.toString()));	
					}
			}
		}else{
					setString(textTreino, "text", "");
					setString(textTeste, "text", "");
					setBoolean(btProximaPagina,"enabled",false);	
    	} 
	  thinlet.repaint();
    }
   
   //valida��o da porcentagem teste
   public void calculaPorcentagemTeste(Object textTreino, Object textTeste, Object btProximaPagina) {
		String pTreino = getString(textTreino, "text");
		String pTeste = getString(textTeste, "text");
		int porcentagem = 0;
		if (pTeste != null && !pTeste.equals("")) {
			try {
				porcentagem = Integer.parseInt(pTeste);
				if (porcentagem > 99) {
					pTeste = pTeste.substring(0, pTeste.length() - 1);
				}	
					pTreino = Integer.toString(100 - Integer.parseInt(pTeste));
					setString(textTreino, "text", pTreino);
					setString(textTeste, "text", pTeste);
					setBoolean(btProximaPagina,"enabled",true);
			} catch (NumberFormatException e) {
				StringBuilder sb = new StringBuilder(pTeste);
				int j = 0;
				while(j < sb.length()) {
					try {
						int z = Integer.parseInt(Character.toString(sb.charAt(j)));
						j++;
					}
					catch (NumberFormatException ex) {
						sb.deleteCharAt(j);
					}
				}
				setString(textTeste,"text",sb.toString());
				pTeste = pTeste.substring(0, pTeste.length() - 1);
				if (pTeste != null && !pTeste.equals("")){
					pTreino = Integer.toString(100 - Integer.parseInt(sb.toString()));	
				}
			}
		}else{
			setString(textTreino, "text", "");
			setString(textTeste, "text", "");
			setBoolean(btProximaPagina,"enabled",false);		
		}
	 thinlet.repaint();
   }
   
   // cancelar wizard
   public void close(){
	   Object screenEasyFan  = App.getTelaEasyFAN().getSreen();
	   Object btLimparTesteEFAN = thinlet.find(screenEasyFan,"btDescarregarTs");
	   App.getTelaEasyFAN().limparDados(btLimparTesteEFAN);
	   App.getTelaEasyFAN().descarregarArquivo();
	   if (array != null){
		   array = null;
		   carregarConjunto.clearTable();
		   EvtLimparConjunto.limparConjuntoTreinamento();
	   }
	   if (arrayTeste != null){
		   arrayTeste = null;
		   carregarTeste.clearTable();
		   EvtLimparConjunto.limparConjuntoTeste();
	   }
	   	intro = null;
	   	passo1 = null;
		passo2 = null;
		passo3 = null;
		passo4 = null;
		passo5 = null;
		passoConjTeste = null;
		thinlet.repaint();
		dialog.setVisible(false);	   		
    }   
   
   // fechar wizard
   public void fechar(){
		dialog.setVisible(false);	   		
   }    
   
   public String[][] getArrayTeste(){
	   return arrayTeste;
   }
   
   public String[][] getArrayTreino(){
	   return array;
   }
   
	public void showExplicacaoArquivos(int x, int y) {
		explExtensao.pack();
		explExtensao.setSize(x,y);
		explExtensao.setAlwaysOnTop(false);
		explExtensao.setLocationRelativeTo(dialog.getOwner());
		explExtensao.setModal(true);
		explExtensao.setVisible(true);
	}
   
	public void cancelarExplExtensao(){
		explExtensao.setVisible(false);
		explExtensao = null;
		dialog.repaint();
	}
	
   public void explicacaoEpd(){
	   this.thinletExtension = new AntiAliasedThinlet();
		try {
			if (cargaEpd == null){
			   cargaEpd = thinletExtension.parse("/visao/gui/wizard/cargaEpd.xml", this);
			}
		} catch (IOException e) {
			new MessageDialog(dialog, "Erro ao abrir a janela", "Erro ao tentar abrir a configura��o de t�mpera").show();
			e.printStackTrace();
			
		}
      thinletExtension.add(cargaEpd);
      this.explExtensao = new ThinletDialog(new Frame(),"Arquivos Epd",false);
      explExtensao.setContent(thinletExtension);
	  showExplicacaoArquivos(610,240);
   }
   
   public void explicacaoDat(){
	   this.thinletExtension = new AntiAliasedThinlet();
		try {
			if (cargaDat == null){
			   cargaDat = thinletExtension.parse("/visao/gui/wizard/cargaDat.xml", this);
			}
		} catch (IOException e) {
			new MessageDialog(dialog, "Erro ao abrir a janela", "Erro ao tentar abrir a configura��o de t�mpera").show();
			e.printStackTrace();
			
		}
      thinletExtension.add(cargaDat);
      this.explExtensao = new ThinletDialog(new Frame(),"Arquivos DAT",false);
      explExtensao.setContent(thinletExtension);
	  showExplicacaoArquivos(530,180);
   }
   
   public void explicacaoTxt(){
	   this.thinletExtension = new AntiAliasedThinlet();
		try {
			if (cargaTxt == null){
			   cargaTxt = thinletExtension.parse("/visao/gui/wizard/cargaTxt.xml", this);
			}
		} catch (IOException e) {
			new MessageDialog(dialog, "Erro ao abrir a janela", "Erro ao tentar abrir a configura��o de t�mpera").show();
			e.printStackTrace();
			
		}
      thinletExtension.add(cargaTxt);
      this.explExtensao = new ThinletDialog(new Frame(),"Arquivos TXT",false);
      explExtensao.setContent(thinletExtension);
	  showExplicacaoArquivos(555,300);
   }
   
   public void explicacaoXls(){
	   this.thinletExtension = new AntiAliasedThinlet();
		try {
			if (cargaXls == null){
			   cargaXls = thinletExtension.parse("/visao/gui/wizard/cargaXls.xml", this);
			}
		} catch (IOException e) {
			new MessageDialog(dialog, "Erro ao abrir a janela", "Erro ao tentar abrir a configura��o de t�mpera").show();
			e.printStackTrace();
			
		}
      thinletExtension.add(cargaXls);
      this.explExtensao = new ThinletDialog(new Frame(),"Arquivos XLS",false);
      explExtensao.setContent(thinletExtension);
	  showExplicacaoArquivos(555,360);
   }
   
   public void msgDivisaoConjuntos(Object tipoDivisao){
	   String s = this.getProperty(tipoDivisao, "indice").toString();
	  if (s.equalsIgnoreCase("mesmoConjunto")){
	       MessageDialog msgDialog = new MessageDialog(dialog,"Mesmo Conjunto","Selecionando a opo de 'Mesmo Conjunto', o sistema ir fazer uma duplicao dos arquivos \n escolhidos anteriormente e o mesmo conjunto ser carregado tanto para treino quanto para teste.");
	       msgDialog.show();
	  }else if (s.equalsIgnoreCase("porcentagem")){
		   MessageDialog msgDialog = new MessageDialog(dialog,"Diviso por Porcentagem","Selecionando a opo 'Diviso por Porcentagem', voc pode especificar qual o nmero percentual(Quantidade) \n do conjunto de arquivos escolhido anteriormente que ser carregado para treino e teste.");
	       msgDialog.show();
	  }else if (s.equalsIgnoreCase("novoConjunto")){
		   MessageDialog msgDialog = new MessageDialog(dialog,"Novo Conjunto para Teste","Selecionando a opo 'Novo Conjunto de Teste', o sistema ir definir o conjunto escolhido anteriormente \n como conjunto de treino e o usurio ter de escolher um novo arquivo para fazer parte do conjunto de teste.");
	       msgDialog.show();
	  }
   }
}  	