package jfan.fan.events;

public class TrocaEpocaEvent {
	
	private float mediaHarmonica;
	private float mediaAritmetica;
	private float maxDoMin;
	private int[][] matrizConfusao;
	private int epoca;
	
	
	public TrocaEpocaEvent(int epoc, float medHarmonica, float medAritmetica, float maxDoMin, int[][] matrixConfusao) {
		this.mediaAritmetica = medAritmetica;
		this.mediaHarmonica = medHarmonica;
		this.maxDoMin = maxDoMin;
		this.epoca = epoc;
		this.matrizConfusao = matrixConfusao;
	}

	public int getEpoca() {
		return this.epoca;
	}

	public float getMaximoDoMinimo() {
		return this.maxDoMin;
	}

	public float getMediaAritmetica() {
		return this.mediaAritmetica;
	}

	public float getMediaHarmonica() {
		return this.mediaHarmonica;
	}
	
	public int[][] getMatrizConfusao() {
		return matrizConfusao;
	}
}
