package jfan.fan.events;

import jfan.fan.StoredNetworkType;
import jfan.fan.beans.StatisticBean;

public class ValidacaoEvent {

	private int epocaValidacao;
	
	private StoredNetworkType tipoRedeValidacao;
	
	private StatisticBean statisticas;
	
	public ValidacaoEvent(int epoca, StoredNetworkType tipoRedeValidacao, StatisticBean statisticas) {
		this.epocaValidacao = epoca;
		this.tipoRedeValidacao = tipoRedeValidacao;
		this.statisticas = statisticas;
	}

	public int getEpocaValidacao() {
		return epocaValidacao;
	}

	public StatisticBean getStatisticas() {
		return statisticas;
	}


	public StoredNetworkType getTipoRedeValidacao() {
		return tipoRedeValidacao;
	}
	
}
