package jfan.io;

import java.util.ArrayList;
import java.util.HashMap;
import jfan.fan.padroes.IPadrao;

public interface IGerenciadorPadroes {
	public void adicionarConjuntoTreinamento(String umNomeDeArquivo, String umSeparadorDeColuna, int aColunaDaClasse, int aColunaInicial, int aColunaFinal, int aLinhaInicial, int aLinhaFinal) throws Exception; 
	public String[][] getConjuntoTreinamento() throws Exception;
	public ArrayList<IPadrao> getConjuntoTreinamentoRede() throws Exception;
	public boolean getTextualConjuntoTreinamentoRede(int umIndice)throws Exception;

	public void adicionarConjuntoTeste(String umNomeDeArquivo, String umSeparadorDeColuna, int aColunaDaClasse, int aColunaInicial, int aColunaFinal, int aLinhaInicial, int aLinhaFinal) throws Exception; 
	public String[][] getConjuntoTeste() throws Exception;
	public ArrayList<IPadrao> getConjuntoTesteRede() throws Exception;
	public boolean getTextualConjuntoTesteRede(int umIndice)throws Exception;

	public void adicionarConjuntoValidacao(String umNomeDeArquivo, String umSeparadorDeColuna, int aColunaDaClasse, int aColunaInicial, int aColunaFinal, int aLinhaInicial, int aLinhaFinal) throws Exception; 
	public String[][] getConjuntoValidacao() throws Exception;
	public ArrayList<IPadrao> getConjuntoValidacaoRede() throws Exception;
	public boolean getTextualConjuntoValidacaoRede(int umIndice)throws Exception;

	public void adicionarConjuntoClassificacao(String umNomeDeArquivo, String umSeparadorDeColuna, int aColunaDaClasse, int aColunaInicial, int aColunaFinal, int aLinhaInicial, int aLinhaFinal) throws Exception; 
	public String[][] getConjuntoClassificacao() throws Exception;
	public ArrayList<IPadrao> getConjuntoClassificacaoRede() throws Exception;
	public boolean getTextualConjuntoClassificacaoRede(int umIndice)throws Exception;

	public HashMap<Integer,String> getMapaConjunto()throws Exception;	
}
