/*
 * GabaritoBO.java
 *
 * Criado em 21 de Julho de 2007, 17:42
 *
 * Para mudar este modelo, escolha Ferramentas | Gerenciador de Modelos
 * e abra o modelo no editor.
 */

package jorfinder.business;

/**
 *
 * @author Marcelo Moreira Mendes
 */

import java.util.ArrayList;
import javax.swing.JOptionPane;
import jorfinder.information.GabaritoVO;
import jorfinder.log2java.Logger;
import jorfinder.persistence.GabaritoDAO;
import jorfinder.util.UniqueException;
import jorfinder.util.VioletionFKException;



public class GabaritoBO{
	
        public static Logger log = new Logger(GabaritoBO.class.getName());
        
	public void adiciona(GabaritoVO objeto) {
		
           
	   try {
               
	        GabaritoDAO.adiciona(objeto);
                
	   }catch (UniqueException e)  {
			
               String msg = "No foi possvel cadastrar esse Gabarito porque j existe um gabarito cadastrado com esses Dados.";
               JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
	   }
		
	}
	
	public void atualiza(GabaritoVO objeto) {	  
           
	   try {
		GabaritoDAO.atualiza(objeto);
	   } 
           catch (UniqueException e) {
               
	      String msg = "No foi possvel atualizar o cadastro desse Gabarito porque j existe um gabarito cadastrado com esses Dados.";
              JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                                
           }
	}

	public void exclui(GabaritoVO objeto)  {
		
		try {
                        
		    GabaritoDAO.exclui(objeto);
                    JOptionPane.showMessageDialog(null, "Gabarito Excludo com sucesso!", "Excluir Gabarito", 1);
		} 
                catch (VioletionFKException e) {
			String msg = "No foi possvel deletar esse GABARITO porque existe outros cadastro que dependem dele";
                	JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
			
		}
	}

	public GabaritoVO getObjetoByUnique(GabaritoVO gabaritoVO){
                
		return GabaritoDAO.getObjetoByUnique(gabaritoVO);
	}
	
        
	public ArrayList <GabaritoVO> getListaObjeto() {
                
		return GabaritoDAO.getListaObjeto();
	}

        
        public GabaritoVO getUltimoGabaritoInserido(){
            
            return GabaritoDAO.getUltimoObjetoInserido();
        }
}