/*
 * GabaritoORFBO.java
 *
 * Criado em 23 de Julho de 2007, 22:42
 *
 *
 */

package jorfinder.business;


import java.util.ArrayList;
import javax.swing.JOptionPane;
import jorfinder.information.GabaritoORFVO;
import jorfinder.log2java.Logger;
import jorfinder.persistence.GabaritoORFDAO;
import jorfinder.persistence.GabaritoORFDAO;
import jorfinder.util.UniqueException;
import jorfinder.util.VioletionFKException;


/**
 *
 * @author Marcelo Moreira Mendes
 */
public class GabaritoORFBO {
    
    public static Logger log = new Logger(GabaritoORFBO.class.getName());
    public GabaritoORFBO(){}
    
    public void adiciona(GabaritoORFVO objeto){

	   try{
	        GabaritoORFDAO.adiciona(objeto);
                
	   }catch (UniqueException e){
			
               String msg = "No foi possvel cadastrar esse GabaritoORF porque j existe um gabaritoORF cadastrado com esses Dados.";
	       JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
	   }
		
    }
    
    
    public void exclui(GabaritoORFVO objeto){
		log.info("Excluindo um GabaritoORFVO do banco de dados......."); 
		try{
                        
		    GabaritoORFDAO.exclui(objeto);
                    
		}catch (VioletionFKException e){
			String msg = "No foi possvel deletar esse GABARITOORF porque existe outros cadastro que dependem dele";
			JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
			
		}
   }
  
    
  public ArrayList <GabaritoORFVO> getListaObjeto(GabaritoORFVO objeto) {
      return GabaritoORFDAO.getListaObjeto(objeto);
   }

     
}
