/*
 * ClasseComboboxModel.java
 *
 * Created on 19 de Julho de 2007, 12:08
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package jorfinder.swingModel;

import java.util.ArrayList;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;
import javax.swing.event.ListDataListener;
import jorfinder.business.TreinoBO;
import jorfinder.information.TreinoVO;

/**
 *
 * @author matheus
 */
public class TreinoComboboxModel extends DefaultComboBoxModel implements ComboBoxModel {
    /** Creates a new instance of ClasseComboboxModel */
    private ArrayList<TreinoVO> array;
    private TreinoBO treinoBO;
    
    public TreinoComboboxModel(TreinoBO treinoBO) {
        this.treinoBO = treinoBO;
        this.array = this.treinoBO.getListaObjeto();
        
    }    

    public int getSize() {
        return array.size();
    }
    
    public Object getElementAt(int index) {
        return array.get(index).getNome();
    }
    
    public TreinoVO getObjeto(int index) {
        return array.get(index);
    }
    
    public int getIndexOf(Object item) {
        for (int cont = 0; cont < array.size(); cont++){
            if(array.get(cont).getNome().equals(item)){
                return array.get(cont).getCod();
            }
        }
        return -1;
    }    
}
