/*
 * CalcularCaracteristica.java
 *
 * Criado em 8 de Setembro de 2007, 15:09
 *
 * Para mudar este modelo, escolha Ferramentas | Gerenciador de Modelos
 * e abra o modelo no editor.
 */

package jorfinder.util;

import java.util.ArrayList;
import jorfinder.business.AlgoritmoGeneticoBO;
import jorfinder.view.DadosGrafico;
import jorfinder.information.GabaritoVO;
import jorfinder.information.ORFVO;
import jorfinder.view.TabelaTreinoGerandoFORM;
import jorfinder.view.TabelaTreinoGerarFORM;


/**
 *
 * @author Marcelo Moreira Mendes
 */
public class CalcularCaracteristica  implements Runnable{
    
    private ArrayList<ORFVO> arrayListORFVO = new ArrayList<ORFVO>();
    private ArrayList<GabaritoVO> arrayListGabaritoVO = new ArrayList<GabaritoVO>(); 
    private GabaritoVO gabaritoVO= new GabaritoVO();
    private ORFVO orfVO = new ORFVO();
    private DadosGrafico calculoCaracteristica = new DadosGrafico();
    private Double caracteristica;
    private ArrayList<ArrayList> listaElementos= new ArrayList<ArrayList>();
    private ArrayList<String> listaNomeColunas=new ArrayList<String>();
    private int cont;
    private boolean killThread = false;
    private TabelaTreinoGerarFORM owner;
    
    /** Cria um a nova instancia de CalcularCaracteristica */
    public CalcularCaracteristica(ArrayList<ORFVO> arrayListORFVO,ArrayList<GabaritoVO> arrayListGabaritoVO,TabelaTreinoGerarFORM owner){
        
        this.owner=owner;
        this.arrayListGabaritoVO=arrayListGabaritoVO;
        this.arrayListORFVO=arrayListORFVO;
        
        
    }
   
    public void CalculoCaracteristica() {
        // ------- Gera o nome das colunas que sero mostradas no JTable----------------------
        
         listaNomeColunas.add("ORF");
         for (int i=0;i< arrayListGabaritoVO.size();i++)
         {  
             gabaritoVO=arrayListGabaritoVO.get(i);          
             listaNomeColunas.add(gabaritoVO.getDescricao());
         
         }
         listaNomeColunas.add("Classe");
        
        cont=0; 
        //---------------- Este trecho de codigo faz o calculo das cararcteristicas-------------------------------------
        for (int j=0; j< arrayListORFVO.size(); j++){
          orfVO=arrayListORFVO.get(j);
          ArrayList arrayListElemento= new ArrayList();
          arrayListElemento.add(orfVO.getNome());
          
          for (int i=0;i< arrayListGabaritoVO.size();i++){
              
              gabaritoVO=arrayListGabaritoVO.get(i); 
              caracteristica=AlgoritmoGeneticoBO.getFitnessComUmaOrf( calculoCaracteristica.getTraducao(orfVO,gabaritoVO));  
              arrayListElemento.add(caracteristica); 
              cont++;
              // Atualiza a barra de progresso....
              owner.getBarraStatus().setValue(cont);
           }
          
          arrayListElemento.add(orfVO.getClasse().getNome());          
          listaElementos.add(arrayListElemento);
         
        }      
        owner.getBarraStatus().setValue(0);
        owner.StatusBotoes(true);
        owner.executarTabelaTreiroGerarFORM();
    }
   
    
    public  ArrayList<ArrayList> getListElementos(){                      
       return  this.listaElementos;
    }
    
   
    public ArrayList<String> getListaNomeColunas() {
      return this.listaNomeColunas; 
    }    
   
    public int getCont() {
      return this.cont;
    }
   
    
     private ArrayList<ArrayList> getListaElementos(){
     
       return this.listaElementos;
     }
    

    public void run() 
    {
       CalculoCaracteristica(); 
        
    }
    
    
}
