/* * DadosJTable.java
 *
 * Criado em 28 de Julho de 2007, 10:51
 */

package jorfinder.view;

import java.sql.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import jorfinder.business.*;
import jorfinder.business.GabaritoORFBO;
import jorfinder.information.GabaritoORFVO;
import jorfinder.information.GabaritoVO;
import jorfinder.information.ORFVO;
import jorfinder.log2java.Logger;
import org.jfree.data.time.DateRange;

/**
 *
 * @author Marcelo Moreira Mendes
 */
public class DadosJTableGabarito{
    
     public static Logger log = new Logger(DadosJTableGabarito.class.getName());                
     private GabaritoBO gabaritoBO =new GabaritoBO();
     private ORFBO orfBO = new ORFBO();
     private GabaritoORFBO gabaritoORFBO = new GabaritoORFBO();
     private ArrayList<GabaritoVO> listaGabarito =new ArrayList<GabaritoVO>();
     private ArrayList<ORFVO> listaORF = new  ArrayList<ORFVO>();
     private ArrayList<GabaritoORFVO> listaGabaritoORF=  new ArrayList<GabaritoORFVO>();
    
   
    public DadosJTableGabarito(){ }
   
    
    public ArrayList<String[]> getListaElementos(){
        
        ArrayList<String[]> listaElementos = new ArrayList<String[]>();
        String codigo,nome,descricao,geracoes,mutacao,processamento,populacao,elitismo, codORF1,codORF2 = new String();
        
        // Armazema em uma lista todos os gabaritos que esto no banco de dadaos
        listaGabarito=gabaritoBO.getListaObjeto();
        
        GabaritoORFVO gabaritoORFVO = new GabaritoORFVO(); 
        GabaritoVO gabaritoVO = new GabaritoVO();
        ORFVO  orfVO = new ORFVO();
        ORFVO  orfVO1 = new ORFVO();
        int cont, cont2; 
        for(int i=0 ;i<listaGabarito.size(); i++) {
             
            gabaritoVO=listaGabarito.get(i);
            
            // Seta o codigo do gabarito para localizar quais ORF esto vinculadas a ele  
            gabaritoORFVO.setGabaritoCodigo(gabaritoVO.getCod());
            
            //Armazema uma lista  com todos os gabaritosORF de um determindo gabarito.
            listaGabaritoORF=gabaritoORFBO.getListaObjeto(gabaritoORFVO);
            cont=0;
            for(int j=0; j< listaGabaritoORF.size();j++){                   
                   gabaritoORFVO=listaGabaritoORF.get(j);
                   orfVO.setCod(gabaritoORFVO.getOrfCodigo());
                
                   ORFVO  orfVO2 = new ORFVO();
                   orfVO2=orfBO.getORFVO(orfVO);
                  
                   listaORF.add(orfVO2);
                   cont++;   
                   
            
            }
            if (cont==1) {
                orfVO1 = new ORFVO();
                listaORF.add(orfVO1);
                            
            }
        }
        
        
        cont2=0;
        for(int x=0; x< listaGabarito.size();x++) {
        
           gabaritoVO=listaGabarito.get(x);
           codORF1=Integer.toString(listaORF.get(x+cont2).getCod());
           codORF2=Integer.toString(listaORF.get(x+cont2+1).getCod());
           codigo=Integer.toString(gabaritoVO.getCod());
           nome=gabaritoVO.getNome();
           descricao=gabaritoVO.getDescricao();
           geracoes=Integer.toString(gabaritoVO.getGeracoes());
           mutacao=Integer.toString(gabaritoVO.getMutacao());
           SimpleDateFormat sd = new SimpleDateFormat("HH:mm:ss");
           processamento=  String.valueOf(sd.format(gabaritoVO.getTempoProcessamento()));
           populacao=Integer.toString(gabaritoVO.getPopulacao());
           elitismo=Integer.toString(gabaritoVO.getElitismo());
                
           String [] elemento = new String[] {codigo,codORF1,codORF2,nome,descricao,geracoes,mutacao,processamento,populacao,elitismo}; 
		
           listaElementos.add(elemento);  
           cont2++;
        
        }
        
    
        return listaElementos;
    }
    
     public String[] getNomeColunas(){        
         String[] nomeColunas = new String[] {"Codigo", "Codigo ORF1","Codigo ORF2" ,"Nome","Descrio","Geraes","Mutaes(%)","Tempo Processamento","Populao","Elitismo"};    
         return nomeColunas;
     }
    
}
