/*
 * GerenciadorArquivoCadastrarRede.java
 *
 * Criado em 4 de Novembro de 2007, 10:04
 *
 * Para mudar este modelo, escolha Ferramentas | Gerenciador de Modelos
 * e abra o modelo no editor.
 */

package jorfinder.view;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.lang.String;
import java.util.ArrayList;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.filechooser.FileSystemView;
import jorfinder.information.ORFVO;
import jorfinder.util.TipoFileFilter;
/**
 *
 * @author Marcelo Moreira Mendes
 */
public class GerenciadorArquivoCadastrarRede {

   private InputStream rede, rede2;
   private int comprimentoRede;
   static File arquivo, arquivo2;
   private String redeTXT;
   TipoFileFilter tipoArquivo = new TipoFileFilter("enn", "Cadastre o arquivo da rede com extenso ENN");
  
   public GerenciadorArquivoCadastrarRede ()   {
    
       arquivo2=getArquivo();
       if (arquivo2 != null){
             abrir(arquivo2);
       }    
   
   }
   


   public static void  setArquivo(File arqnome) {
	  arquivo=arqnome; 
          
   }


   public File getArquivo(){
	   
	     //Varivel do tipo inteiro que armazena o tipo de caixa de dialogo que ser aberta.
             int result;
            
             //	 Mostra dialogo box onde o usuario pode escolher o arquivo para ser aberto
             
	  	  JFileChooser fileChooser = new JFileChooser();
	      
	      // Permite apenas a seleco de arquivos
	      fileChooser.setFileSelectionMode( JFileChooser.FILES_ONLY );
              fileChooser.setFileFilter(tipoArquivo);
	      fileChooser.setCurrentDirectory(new File("c:\\"));
	      
               //  Abre dialogo de abertura de arquivo
	       result = fileChooser.showOpenDialog( null );

	      //Verifica se o usuario clicou no boto  cancelar da caixa de dialogo
	      if ( result == JFileChooser.CANCEL_OPTION )
	        return null;
	      // Obtem o arquivo selecionado
	      File fileName = fileChooser.getSelectedFile();
	     
	      // Mostra erro se o nome do arquivo for invalido
	      if ( fileName == null || fileName.getName().equals( "" ) ){ 
	         JOptionPane.showMessageDialog( null,"Nome do arquivo invalido", "Erro",JOptionPane.ERROR_MESSAGE );
	         return null;
	      } 
            setArquivo(fileName);
            
            return fileName;
   }
   
  

   public void abrir(File arquivo) {   
           
	   try  {   
		  
               // - primeiro, criar um fluxo de entrada 
                InputStream rede = new FileInputStream(arquivo);
                rede2=rede;
                comprimentoRede = (int) arquivo.length();
	        rede.close();
                
                BufferedReader in = new BufferedReader(new FileReader(arquivo));
                StringBuffer sb = new StringBuffer();
                String linha = in.readLine();
                while(linha != null){
                   if(!linha.equals("<?xml version=\"1.0\"?>")) 
                   {   
                       sb.append(linha).append('\n');
                   }    
                   linha=in.readLine();
                }      
                in.close();
                redeTXT= sb.toString();
                                
	   }
           
	   // Se hover erro na abertura do arquivo, faz o tratamento
              catch (IOException e){
		   JOptionPane.showMessageDialog( null,"Arquivo no pode ser aberto","Erro", JOptionPane.ERROR_MESSAGE );
	   }
	
       
   }
   
   
   public InputStream getRede(){   
     return rede2;
   }
   
   public int getComprimentoRede(){   
      return comprimentoRede; 
   }
   
   public String getRedeTXT(){   
        return redeTXT;
   }

}
