/*
 * GerenciadorArquivoExportarRede.java
 *
 * Criado em 11 de Novembro de 2007, 19:53
 *
 * Para mudar este modelo, escolha Ferramentas | Gerenciador de Modelos
 * e abra o modelo no editor.
 */

package jorfinder.view;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.lang.String;
import java.util.ArrayList;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import jorfinder.business.*;
import jorfinder.information.GabaritoVO;
import jorfinder.information.NotaVO;
import jorfinder.information.RedeVO;
import jorfinder.information.TreinoORFGabaritoVO;
import jorfinder.information.TreinoVO;
import jorfinder.util.TipoFileFilter;

/**
 *
 * @author Marcelo Moreira Mendes
 */
public class GerenciadorArquivoExportarRede{
    
   TipoFileFilter tipoArquivo = new TipoFileFilter("xml", "O arquivo ser salvo com a extenso XML");
   static File arquivo, arquivo2;
   int i;
  
   public GerenciadorArquivoExportarRede(int codRede, int codTabelaTreino){
    
       arquivo2=getArquivo();
       if (arquivo2 != null){
            salvar(codRede,codTabelaTreino,arquivo2);
       
       }    
   
   }
   

   public static void  setArquivo(File arqnome){	 
	  arquivo=arqnome; 
   }


   public File getArquivo(){
	   
	   //Varivel do tipo inteiro que armazena o tipo de caixa de dialogo que ser aberta.
	   int result;
      //	 Mostra dialogo box onde o usuario pode escolher o arquivo para ser aberto
	  	  JFileChooser fileChooser = new JFileChooser();
	      
	  	  // Permite apenas a seleco de arquivos
	      fileChooser.setFileSelectionMode( JFileChooser.FILES_ONLY );
              fileChooser.setFileFilter(tipoArquivo);
	      fileChooser.setCurrentDirectory(new File("c:\\"));
	      
	      
           //  Abre dialogo de salvamento de arquivo
	       result = fileChooser.showSaveDialog( null );


	      //Verifica se o usuario clicou no boto  cancelar da caixa de dialogo
	      if ( result == JFileChooser.CANCEL_OPTION )
	        return null;
	      // Obtem o arquivo selecionado
               String nome = fileChooser.getSelectedFile().getPath(); 
               nome += ".xml"; 
       	       File fileName =  new File(nome);   
             
	      // Mostra erro se o nome do arquivo for invalido
	      if ( fileName == null || fileName.getName().equals( "" ) ){ 
	         JOptionPane.showMessageDialog( null,"Nome do arquivo invalido", "Erro",JOptionPane.ERROR_MESSAGE );
	         return null;
	      } 
               
            setArquivo(fileName); 
            return fileName;
   }
   
   
   public boolean salvar(int codRede, int codTabelaTreino, File arquivo2){
                    
            String  linha;
            RedeBO redeBO = new RedeBO();
            RedeVO redeVO =  new RedeVO();
            RedeVO redeVO1 =  new RedeVO();
            TreinoBO treinoBO = new TreinoBO();
            TreinoVO treinoVO = new TreinoVO();
            GabaritoVO gabaritoVO = new GabaritoVO();
            GabaritoVO gabaritoVO1 = new GabaritoVO();
            GabaritoBO gabaritoBO =new GabaritoBO();
            NotaBO notaBO = new NotaBO();
            NotaVO notaVO = new NotaVO();
            TreinoORFGabaritoVO treinoORFGabaritoVO = new TreinoORFGabaritoVO();
            TreinoORFGabaritoBO treinoORFGabaritoBO = new TreinoORFGabaritoBO();
            ArrayList<TreinoORFGabaritoVO> array = new ArrayList<TreinoORFGabaritoVO>();
            ArrayList<NotaVO> arrayNotas = new ArrayList<NotaVO>();
            
            
            /*---------------REDE----------------------------------------*/
            // Seta o codigo da rede passado como parametro
            redeVO.setCod(codRede);
            //Retorna do banco de dados os dados da rede
            redeVO1=redeBO.getObjetoByUnique(redeVO);
            
            
            
            /*-----------------------GABARITO-------------------------------------------*/
            
            treinoVO.setCod(codTabelaTreino);
            array=treinoORFGabaritoBO.getTreinoUsaCodTreino(treinoVO);
            
            
	    try{   
	    	
	        BufferedWriter out = new BufferedWriter(new FileWriter(arquivo2));
                linha=getTag(0);
                out.write(linha + '\n');
                linha=getTag(11);
                out.write(linha + '\n');
               // Atribui a rede a uma variavel string
                linha=redeVO1.getRedeTXT();
                out.write(linha);  
                out.write('\n');
                out.write('\n');
                linha=getTag(1);
                out.write(linha + '\n');
                for(int i=0;i<array.size();i++){
                    
                    linha=getTag(3);
                    out.write(linha + '\n');
                    gabaritoVO.setCod(array.get(i).getCodGabarito());
                    gabaritoVO1=gabaritoBO.getObjetoByUnique(gabaritoVO);
                    linha=getTag(5)+gabaritoVO1.getNome()+getTag(6);
                    out.write(linha + '\n'); 
                    linha=getTag(7)+gabaritoVO1.getDescricao()+getTag(8);
                    out.write(linha + '\n'); 
                    arrayNotas=notaBO.getListaObjetoByUnique(gabaritoVO);
                    for(int j=0; j< arrayNotas.size();j++){                    
                   
                         linha=getTag(9)+ String.valueOf(arrayNotas.get(j).getNota())+getTag(10);
                         out.write(linha + '\n');
                                             
                    }    
                    
                    linha=getTag(4);
                    out.write(linha + '\n');
                                    
                }    
                linha=getTag(2);
                out.write(linha + '\n'); 
                linha=getTag(12);
                out.write(linha + '\n');
	        
              //Fecha o arquivo
	      out.close();
              String msg = "Rede salva com sucesso!.";
              JOptionPane.showMessageDialog(null,msg, "Salvar Arquivo", JOptionPane.INFORMATION_MESSAGE);              
              
              
              }
	    // Se hover erro na criao do arquivo.
	    catch (IOException e){
	    	JOptionPane.showMessageDialog( null,"Arquivo no pode ser salvo","Erro", JOptionPane.ERROR_MESSAGE );
	    	return false;
             }
	     return true;
   }

     private String getTag(int indice) {
         
       String tag[] = new String[13];
       String tag1;

       tag[0]="<?xml version=\"1.0\"?>";
       tag[1]="<gab>";
       tag[2]="</gab>";
       tag[3]="<gabarito>";
       tag[4]="</gabarito>";
       tag[5]="<nome>";
       tag[6]="</nome>";
       tag[7]="<descricao>";
       tag[8]="</descricao>";
       tag[9]="<nota>";
       tag[10]="</nota>";
       tag[11]="<rede>";
       tag[12]="</rede>";
       tag1=tag[indice];
       
       return tag1;
     }  
   
}
