/*
 * ORFTreinoArquivo.java
 *
 * Created on 13 de Agosto de 2007, 11:58
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package jorfinder.view;

import java.io.BufferedReader;
import java.io.IOException;
import java.util.ArrayList;
import javax.swing.JOptionPane;
import jorfinder.information.ClasseVO;
import jorfinder.information.ORFVO;
import jorfinder.log2java.Logger;
import jorfinder.util.Arquivo;
import jorfinder.util.Mensagem;
import jorfinder.view.VerLogFORM;
import jorfinder.view.VerLogFORM;

/**
 *
 * @author matheus
 */
public class ORFTreinoArquivo implements Runnable{
    
    private ORFTreinoCadArquivoFORM formOwner;
    private int contador;
    private int total;
    public static Logger log = new Logger(ORFTreinoArquivo.class.getName());
    private boolean killThread = false;
    private Arquivo arqorf;
    
    /** Creates a new instance of ORFTreinoArquivo */
    public ORFTreinoArquivo(ORFTreinoCadArquivoFORM param) {
        this.formOwner = param;        
    }    
   
    public void setArquivo(Arquivo param){
        this.arqorf = param;
    }
  
    public int getContador(){
        return contador;
    }
    public int getTotal(){
        return total;
    }
    public void killThread(){
        killThread = true;
    }

   
    public void cadastrar(){
        
        BufferedReader conteudo = arqorf.getConteudoArquivo();
        try {
            ArrayList<Mensagem> mensagens = new ArrayList<Mensagem>();
            int quantORF = 0;
            String linha = "";
            String cabec = "";
            StringBuffer orf = new StringBuffer();
            boolean erroCarac = false;
            boolean erroQuant = false;
            int posCaractere = 0;            
            ORFVO orfvo; 
            Mensagem msg;
            ClasseVO classe= new ClasseVO();
            classe.setCod(formOwner.getComboboxModel().getIndexOf(formOwner.getComboboxModel().getSelectedItem()));
            int quantCodonOrf = 0;
            //itens do formulrio
            boolean truncar = formOwner.getTruncar().isSelected();
            
            int maxCodonPorOrf = Integer.parseInt(formOwner.getMaxCodonsPorOrf().getText());

            for(this.contador = 0; this.contador < this.arqorf.getTotLinhas() && !this.killThread; this.contador++){
                linha = conteudo.readLine();
                if(linha.length() > 0){
                    //verifica se o primeiro caractere no  o incio de uma nova orf
                    if(!linha.substring(0, 1).equals(">")){
                        if(quantCodonOrf < maxCodonPorOrf){
                            erroCarac = false;
                            //confere cada caractere se contm algo q no seja uma base nitrogenada
                            for (int cont = 0; cont < linha.length() && !erroCarac; cont++){
                                
                                    if (!linha.substring(cont, cont+1).equalsIgnoreCase("A") &&
                                         !linha.substring(cont, cont+1).equalsIgnoreCase("C") &&
                                         !linha.substring(cont, cont+1).equalsIgnoreCase("T") &&
                                         !linha.substring(cont, cont+1).equalsIgnoreCase("G")){
                                            erroCarac = true;
                                            posCaractere = cont;
                                    }
                            }
                            //caso a linha esteja inteira correta concatena inteira se no concatena at onde existem
                            //caracteres ok
                            if (!erroCarac){
                                orf.append(linha.toUpperCase());
                            } else {
                                orf.append(linha.substring(0, posCaractere).toUpperCase());
                            } 
                        }
                        
                        quantCodonOrf = (int) orf.length()/3;
                    } 
                    //verifica se o primeiro caractere  o incio de uma nova orf ou a ultima linha
                    if(linha.substring(0, 1).equals(">") || (this.contador+1) == this.arqorf.getTotLinhas()){
                        //verifica se no  a primeira orf
                        if(this.contador > 0 && quantCodonOrf < maxCodonPorOrf){
                            quantORF++;
                            //verifica se a orf possui um nmero fechado de cdons
                             if(orf.length() % 3 == 0 || truncar){
                                 //cadastra a orf
                                orfvo = new ORFVO();
                                orfvo.setTipo("t");
                                orfvo.setNome(cabec); 
                                orfvo.setClasse(classe);
                                orfvo.setConteudo(orf);
                                this.formOwner.getFormOwner().getORFTableModel().adicionarORFTreino(orfvo);
                                msg = new Mensagem();
                                msg.setMsg(this.formOwner.getFormOwner().getORFTableModel().getMensagem().getMsg());
                                msg.setSucesso(this.formOwner.getFormOwner().getORFTableModel().getMensagem().isSucesso());
                                mensagens.add(msg);  
                             } else{                
                                msg = new Mensagem();
                                msg.setSucesso(false);
                                msg.setMsg("Erro no "+quantORF+"ORF do arquivo! Nmero de bases no fecha um nmero exato de cdons");
                                mensagens.add(msg);
                                erroQuant = true;
                             }                                                         
                        }  
                        orf.delete(0, orf.length());  
                        quantCodonOrf = 0;
                        cabec = linha;       
                    } 
                }
                formOwner.getBarraStatus().setValue(contador + 1); 
            } // fim do for!!!!!!!
            
            //verifica se houve algum erro
            boolean umerro = false;
            for(int cont = 0; cont < mensagens.size() && !umerro; cont++){
                if(!mensagens.get(cont).isSucesso()){
                    umerro = true;
                }         
            }
            int resp;
            if(umerro){
                resp = JOptionPane.showConfirmDialog(null, "Processo concludo com erros! Deseja visualizar o log?", "Ver log do cadastro", JOptionPane.ERROR_MESSAGE); 
            } else{
                resp = JOptionPane.showConfirmDialog(null, "Processo realizado com sucesso! Deseja visualizar o log?", "Ver log do cadastro", 0);
            }
            //caso a resposta seja positiva
            if (resp == 0){
                new VerLogFORM(formOwner, mensagens);
            }
            formOwner.getBotao().setEnabled(true);
        } catch (IOException ex) {
            log.exception(ex);
        }        
    }
    
    public void run() {
        cadastrar();
    }
}
