/*
 * ORFBaseAdicionar.java
 *
 * Created on 9 de Junho de 2007, 13:10
 */

package jorfinder.view;
import java.io.BufferedReader;
import java.io.IOException;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JProgressBar;
import javax.swing.JTextField;
import jorfinder.business.*;
import jorfinder.information.ClasseVO;
import jorfinder.information.ORFVO;
import jorfinder.log2java.Logger;
import jorfinder.swingModel.ClasseComboboxModel;
import jorfinder.swingModel.ValidadorJTextFieldModel;
import jorfinder.util.Arquivo;
import jorfinder.util.TipoFileFilter;
/**
 *
 * @author  MaTHeuS
 */
public class ORFTreinoCadArquivoFORM extends javax.swing.JDialog{

    private ORFTreinoFORM formOwner;
    private ClasseComboboxModel classeComboboxModel;
    private Thread threadORFTreinoArquivo;
    private ORFTreinoArquivo orfTreinoArquivo;
    public static Logger log = new Logger(ORFTreinoCadArquivoFORM.class.getName());
    private boolean sair ;
    
    public ORFTreinoCadArquivoFORM(ORFTreinoFORM owner) {
        super(owner, "Cadastrar ORF Treino do Arquivo", false);
        this.formOwner = owner;
        this.orfTreinoArquivo = new ORFTreinoArquivo(this);       
        ClasseBO obj = new ClasseBO();   
        classeComboboxModel = new ClasseComboboxModel(obj);
        initComponents();      
        this.setVisible(true);
    }
    public ClasseComboboxModel getComboboxModel(){
        return classeComboboxModel;
    }
    
    public JCheckBox getTruncar(){
        return this.truncar;
    }
    
    public JTextField getMaxCodonsPorOrf(){
        return this.maxCodonsPorOrf;
    }
    
    public JProgressBar getBarraStatus(){
        return jProgressBar1;
    }
    public JButton getBotao(){
        return buttonPlayer;
    }
    public ORFTreinoFORM getFormOwner(){
        return this.formOwner;
    }
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Cdigo Gerado ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jLabel3 = new javax.swing.JLabel();
        buttonPlayer = new javax.swing.JButton();
        jComboBox1 = new javax.swing.JComboBox();
        jProgressBar1 = new javax.swing.JProgressBar();
        jButton1 = new javax.swing.JButton();
        jButtonNovaClasse = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        maxCodonsPorOrf = new javax.swing.JTextField();
        truncar = new javax.swing.JCheckBox();
        jLabel2 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setResizable(false);
        jLabel3.setText("Classe:");

        buttonPlayer.setText("Carregar");
        buttonPlayer.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                buttonPlayerMouseClicked(evt);
            }
        });

        jComboBox1.setModel(classeComboboxModel);

        jButton1.setText("Sair");
        jButton1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton1MouseClicked(evt);
            }
        });

        jButtonNovaClasse.setText("Nova Classe...");
        jButtonNovaClasse.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonNovaClasseMouseClicked(evt);
            }
        });

        jLabel1.setText("M\u00e1ximo de C\u00f3dons por ORF:");

        maxCodonsPorOrf.setDocument(new ValidadorJTextFieldModel(6, true));
        maxCodonsPorOrf.setText("2000");

        truncar.setText("(Recomendado apenas para ORFs n\u00e3o prote\u00ednas)");
        truncar.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        truncar.setMargin(new java.awt.Insets(0, 0, 0, 0));

        jLabel2.setText("Truncar Bases excedentes:");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 86, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel3)
                            .addComponent(jLabel1)
                            .addComponent(jLabel2))
                        .addGap(19, 19, 19)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(maxCodonsPorOrf, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, 137, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButtonNovaClasse))
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(truncar)
                                    .addComponent(jProgressBar1, javax.swing.GroupLayout.DEFAULT_SIZE, 468, Short.MAX_VALUE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(buttonPlayer, javax.swing.GroupLayout.PREFERRED_SIZE, 93, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(buttonPlayer)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel3)
                            .addComponent(jButtonNovaClasse))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel1)
                            .addComponent(maxCodonsPorOrf, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 8, Short.MAX_VALUE)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(truncar))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jProgressBar1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(19, 19, 19)
                .addComponent(jButton1)
                .addContainerGap())
        );
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-751)/2, (screenSize.height-185)/2, 751, 185);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonNovaClasseMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonNovaClasseMouseClicked
        new ClasseFORM(this);
    }//GEN-LAST:event_jButtonNovaClasseMouseClicked

    private void jButton1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton1MouseClicked
        this.fecharJanela();
    }//GEN-LAST:event_jButton1MouseClicked

    private void buttonPlayerMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_buttonPlayerMouseClicked
        if (this.isDadadosOK()){ 
            
                log.info("Carregando ORFs, usurio clicou em Carregar");
                TipoFileFilter tipoArquivo = new TipoFileFilter("fas", "Arquivo que contm uma ORF");
                Arquivo arqorf = new Arquivo(tipoArquivo);
                //seta o tamnho da barra
                this.jProgressBar1.setMaximum(arqorf.getTotLinhas());
                if(arqorf.getArquivo() != null){
                    orfTreinoArquivo.setArquivo(arqorf);
                    threadORFTreinoArquivo = new Thread(orfTreinoArquivo);
                    threadORFTreinoArquivo.start();
                    buttonPlayer.setEnabled(false); 
                }                 
            
        }
    }//GEN-LAST:event_buttonPlayerMouseClicked
        
    private boolean isDadadosOK() {
         
         if(jComboBox1.getSelectedIndex() < 0){
             JOptionPane.showMessageDialog(null, " necessrio selecionar um tipo de classe!", "Erro na execuo", JOptionPane.ERROR_MESSAGE); 
             return false;
         } else if(Integer.parseInt(this.maxCodonsPorOrf.getText()) < 10){
             JOptionPane.showMessageDialog(null, " necessrio que a quantidade mxima de ORFs seja maior que 10!", "Erro na execuo", JOptionPane.ERROR_MESSAGE); 
             return false;
         } else         
         return true;                     
    }
     private void fecharJanela(){
         sair = true;         
         
         if (this.threadORFTreinoArquivo != null){
             if (this.threadORFTreinoArquivo.isAlive()) 
                 orfTreinoArquivo.killThread();         
             // se o bicho tiver esperando = acorda o bicho para ele cometer um atentado contra a propria vida
             
         }
         
         dispose();
     }
    
    // Declarao de variveis - no modifique//GEN-BEGIN:variables
    private javax.swing.JButton buttonPlayer;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButtonNovaClasse;
    private javax.swing.JComboBox jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JProgressBar jProgressBar1;
    private javax.swing.JTextField maxCodonsPorOrf;
    private javax.swing.JCheckBox truncar;
    // Fim da declarao de variveis//GEN-END:variables
    
}
