/*
 * ORFBaseAdicionar.java
 *
 * Created on 9 de Junho de 2007, 13:10
 */

package jorfinder.view;
import java.util.ArrayList;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import jorfinder.util.CellRenderer;
import jorfinder.view.GerenciadorArquivo;
import jorfinder.business.TreinoBO;
import jorfinder.business.TreinoORFGabaritoBO;
import jorfinder.information.GabaritoVO;
import jorfinder.information.ORFVO;
import jorfinder.information.TreinoORFGabaritoVO;
import jorfinder.information.TreinoVO;
import jorfinder.swingModel.GerarTabelaTreinoTableModel;
/**
 *
 * @author  MaTHeuS
 */
public class TabelaTreinoGerandoFORM extends javax.swing.JDialog{
    
    private ArrayList<ORFVO> arrayListORFVO = new ArrayList<ORFVO>();
    private ArrayList<GabaritoVO> arrayListGabaritoVO = new ArrayList<GabaritoVO>(); 
    private GerarTabelaTreinoTableModel meuTableModel; 
    private TreinoVO treinoVO = new TreinoVO();
    private GabaritoVO gabaritoVO= new GabaritoVO();
    private ORFVO orfVO =new ORFVO();
    private TreinoBO treinoBO = new TreinoBO();
    private ArrayList<ArrayList> listaElementos =  new ArrayList<ArrayList>();
    private ArrayList arrayListElemento= new ArrayList();
    private TreinoORFGabaritoBO treinoORFGabaritoBO= new TreinoORFGabaritoBO();
    private TreinoORFGabaritoVO treinoORFGabaritoVO= new TreinoORFGabaritoVO();
        
    
    
    /** Creates new form ORFBaseAdicionar */
    public TabelaTreinoGerandoFORM(TabelaTreinoGerarFORM  owner) {
        super(owner, "Gerar Tabela Treino", true);
        this.arrayListGabaritoVO=owner.gettabelaTreinoGabaritoTableModel().getArrayRegistros();
        this.arrayListORFVO= owner.getTabelaTreinoORFTableModel().getArrayRegistros();  
        this.listaElementos=owner.getCalcularCaracteristica().getListElementos();
        meuTableModel = new GerarTabelaTreinoTableModel(owner.getCalcularCaracteristica().getListElementos(),owner.getCalcularCaracteristica().getListaNomeColunas()); 
        initComponents(); 
        jTable1.setDefaultRenderer(Object.class, new CellRenderer());
        this.setVisible(true);
    }
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Cdigo Gerado ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jLabel1 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setResizable(false);
        jLabel1.setText("Tabela Gerada");

        jTable1.setModel(meuTableModel);
        jScrollPane1.setViewportView(jTable1);

        jButton1.setText("Fechar");
        jButton1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton1MouseClicked(evt);
            }
        });

        jButton2.setText("Gravar");
        jButton2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                botaoGravar(evt);
            }
        });

        jLabel2.setText("Nome:");

        jLabel3.setText("Descri\u00e7\u00e3o:");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel1)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel2)
                            .addComponent(jLabel3))
                        .addGap(12, 12, 12)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(194, 194, 194)
                                .addComponent(jButton2)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButton1))
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addComponent(jTextField2, javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jTextField1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 488, Short.MAX_VALUE)))
                        .addGap(14, 14, 14))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 614, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(11, 11, 11))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addGap(15, 15, 15)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 270, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(17, 17, 17)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel3)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 8, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton1)
                    .addComponent(jButton2))
                .addContainerGap())
        );
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-657)/2, (screenSize.height-442)/2, 657, 442);
    }// </editor-fold>//GEN-END:initComponents

    private void botaoGravar(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_botaoGravar
    
        
    if(this.isDadadosOK())
    {    
        
          treinoVO.setDescricao(jTextField1.getText());
          treinoVO.setNome(jTextField2.getText());
          treinoBO.adiciona(treinoVO);
          treinoVO.setCod(0);
          treinoVO= treinoBO.getObjetoByUnique(treinoVO);
          for(int i=0; i< this.arrayListORFVO.size();i++)
         {
         
              orfVO=this.arrayListORFVO.get(i);  
              this.arrayListElemento=this.listaElementos.get(i);
              for(int j=0;j< this.arrayListGabaritoVO.size(); j++)
             {
                this.gabaritoVO= this.arrayListGabaritoVO.get(j);
                this.treinoORFGabaritoVO.setCodGabarito(gabaritoVO.getCod());
                this.treinoORFGabaritoVO.setCodORF(orfVO.getCod());
                this.treinoORFGabaritoVO.setCodTreino(treinoVO.getCod());
                this.treinoORFGabaritoVO.setCaracteristica((Double)this.arrayListElemento.get(j+1));     
                this.treinoORFGabaritoBO.adiciona(this.treinoORFGabaritoVO);
             }    
      
        }
        jTextField2.setText("");  
        jTextField1.setText("");   
        JOptionPane.showMessageDialog(null, "Tabela Treino Gravada com sucesso!", "Gravar Tabela Treino", 1);  
        this.dispose();
     }  
    }//GEN-LAST:event_botaoGravar
  
     private boolean isDadadosOK() {
         
         if(jTextField2.getText().equals("")) {
                JOptionPane.showMessageDialog(null, "O campo Nome est em branco!", "Erro na execuo", JOptionPane.ERROR_MESSAGE); 
                return false;
         } 
         else if(jTextField1.getText().equals("")){
             
                JOptionPane.showMessageDialog(null, "O campo Descrio est em branco!", "Erro na execuo", JOptionPane.ERROR_MESSAGE); 
                return false;
          }                  
         return true;                     
    }
    
   
    private void jButton1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton1MouseClicked
        this.dispose();
    }//GEN-LAST:event_jButton1MouseClicked
    
    
    // Declarao de variveis - no modifique//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTable1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    // Fim da declarao de variveis//GEN-END:variables
    
}
