package jorfinder.util;

import java.io.IOException;
import java.io.InputStream;
import jorfinder.business.GabaritoBO;

import jorfinder.business.RedeBO;
import jorfinder.information.GabaritoVO;
import jorfinder.information.RedeVO;

public class RedeDefault {

	public static void CadastrarRede() {
		
         InputStream in =  new Mensagem().getClass().getResourceAsStream("../../redeDefault.xml");
	       
         try {
        	 
                    StringBuffer texto = new StringBuffer();  
                    for (int i = in.read(); i != -1; i = in.read()) {  
                         texto.append((char)i);  
                    }
                    String redeDedault = RedeBO.getRede(texto.toString());
	            
	            //extrai a rede e os gabaritos do arquivo
                    String gab = RedeBO.getGabarito(texto.toString());
                    
                    in.close();
	            // instancia a vo e popula
	            RedeVO vo = new RedeVO();
	            vo.setNome("padrao");
	            vo.setDescricao("Rede padro para localizao de proteinas em geral");
	            vo.setRede(redeDedault);
	          
	            // grava no banco
	            RedeBO bo = new RedeBO();
	            bo.adiciona(vo);
                  
                    //seta objeto GabaritoVO e insere 
                    RedeVO redecadastrada = bo.getObjetoByUnique(vo);
                    GabaritoBO gabarito = new GabaritoBO();
                    GabaritoVO gabvo = new GabaritoVO();
                    gabvo.setCodRede(redecadastrada.getCod());
                    gabvo.setGabXML(gab);
                    gabarito.adiciona(gabvo);
	          
			  
                    } catch (IOException e) {

                            e.printStackTrace();
                    }  
	     }  
	       
	
}
