package jorfinder.view;


import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jorfinder.business.ORFBO;
import jorfinder.business.PesquisaBO;
import jorfinder.information.ORFVO;
import jorfinder.information.PesquisaVO;


public class AlterarORF implements Action {
	
	
	public void execute(HttpServletRequest req, HttpServletResponse res)
			throws Exception {
                        
            ORFVO orfvo = new ORFVO();
            orfvo.setCodPesquisa(Integer.parseInt(req.getParameter("codPesquisa")));
            orfvo.setLinha(Integer.parseInt(req.getParameter("linha")));
            orfvo.setPosCodonStart(Integer.parseInt(req.getParameter("posCodonStart")));
            orfvo.setPosCodonStop(Integer.parseInt(req.getParameter("posCodonStop")));
            orfvo.setCodTipoORF(Integer.parseInt(req.getParameter("codTipoORF")));
            orfvo.setObservacao(req.getParameter("observacao"));
            
            ORFBO orfbo = new ORFBO();
            orfbo.atualiza(orfvo);
            
            if(orfbo.getMensagem().isSucesso()){
                req.setAttribute("alert", orfbo.getMensagem().getMsg()); 
            } else {
                req.setAttribute("mensagem", orfbo.getMensagem().getMsg()); 
            }
            
            //pega o cdigo do projeto da pesquisa
            PesquisaBO pesqbo = new PesquisaBO();
            PesquisaVO pesqvo = new PesquisaVO();
            pesqvo.setCod(Integer.parseInt(req.getParameter("codPesquisa")));
            int projeto = pesqbo.getObjetoByUnique(pesqvo).getCodProjeto();
            
            RequestDispatcher rd = req.getRequestDispatcher("/WEB-INF/jsp/pesquisaIndivRelat.jsp?projeto="+projeto+"&pesquisa="+req.getParameter("codPesquisa"));
            rd.forward(req, res);
	}
}
