package jorfinder.view;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jorfinder.business.RedeBO;
import jorfinder.information.RedeVO;


public class ExcluirRede implements Action{

	public void execute(HttpServletRequest req, HttpServletResponse res)
			throws Exception {
		
            int codRede = Integer.parseInt(req.getParameter("cod"));
                    RedeVO redevo = new RedeVO();
                    redevo.setCod(codRede);		
                    RedeBO bo = new RedeBO();

            if(bo.getListaObjeto().size() > 1){
                bo.excluirRede(redevo);
                if(bo.getMensagem().isSucesso()){
                    req.setAttribute("alert", bo.getMensagem().getMsg());
                }else{
                    req.setAttribute("mensagem", bo.getMensagem().getMsg());
                }
            } else {
                req.setAttribute("mensagem", "Erro! Pelo menos uma rede neural deve existir no banco!");
            }

            RequestDispatcher rd = req.getRequestDispatcher("/WEB-INF/jsp/redeRelat.jsp");
            rd.forward(req, res);

	}
	
}
