package jorfinder.view;
 
import java.io.IOException;

import javax.servlet.FilterChain;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import jorfinder.information.UsuarioVO;

public class FiltroLogin extends BaseFilter{

	public FiltroLogin(){
		System.out.println("INSTANCIANDO O filtro1");
	}
	
	@Override
	public void doFilter(ServletRequest req, ServletResponse res,
			FilterChain filterChain) throws IOException, ServletException {
		
		HttpSession session = ((HttpServletRequest)req).getSession();
		UsuarioVO usuario = (UsuarioVO) session.getAttribute("usuario");
		
		String url = ((HttpServletRequest)req).getRequestURL().toString();

                if(!(usuario==null) || url.endsWith("/jw/Login") ||  url.endsWith("/jw/RecuperarSenha") || url.endsWith("/jw/CadastrarPesquisador")){

                        filterChain.doFilter(req, res);

                }
                else{

                        RequestDispatcher rd = req.getRequestDispatcher("/index.jsp");
                    req.setAttribute("alert", new jorfinder.util.Mensagem().getMensagem("usuario.nao.logado"));
                    rd.forward(req, res);


                }
	}
}
