package jorfinder.view;

import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jorfinder.business.PesquisaBO;
import jorfinder.business.ProjetoBO;
import jorfinder.information.PesquisaVO;
import jorfinder.information.ProjetoVO;
import jorfinder.information.UsuarioVO;
import jorfinder.util.Mensagem;

public class ListaPesquisa implements Action {

	public void execute(HttpServletRequest req, HttpServletResponse res)
			throws Exception {
        UsuarioVO usuario = (UsuarioVO) req.getSession().getAttribute("usuario");
        int codProjeto = Integer.parseInt(req.getParameter("projeto"));
        ProjetoVO projetoRequest = new ProjetoVO();
        projetoRequest.setCod(codProjeto);
        
        ProjetoBO bo = new ProjetoBO();
        
        projetoRequest = bo.getObjetoByUnique(projetoRequest);
        
        if(bo.UsuarioTemPermissaoAcesso(projetoRequest, usuario)){
        	
        	PesquisaBO pesquisabo = new PesquisaBO();
        	List<PesquisaVO> listPesquisa = pesquisabo.getListaObjeto(projetoRequest);
        	req.setAttribute("listPesquisa", listPesquisa);
        	req.setAttribute("projeto", projetoRequest);
        	RequestDispatcher rd = req.getRequestDispatcher("/WEB-INF/jsp/pesquisaRelat.jsp");
            rd.forward(req, res);
        	
        }else{
        	req.setAttribute("alert", new Mensagem().getMensagem("projeto.pesquisa.erro"));
        	new ListaProjeto().execute(req, res);
        }
        

	}

}
