package jorfinder.view;
 

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jorfinder.business.PesquisaBO;
import jorfinder.information.PesquisaVO;
import jorfinder.log2java.Logger;



// classe q trata o form de login da aplicao 
public class Pesquisa implements Action{

	public static Logger log = new Logger(Login.class.getName());
	
	public Pesquisa(){
		
	}	
	
	public void execute(HttpServletRequest req, HttpServletResponse res)
			throws Exception {
			       
                PesquisaVO pesqvo = new PesquisaVO();
                pesqvo.setNome(req.getParameter("nome"));
                pesqvo.setDescricao(req.getParameter("descricao"));
                pesqvo.setCodProjeto(Integer.parseInt(req.getParameter("codProjeto")));
                int codProjeto = Integer.parseInt(req.getParameter("codProjeto"));
                
                //tira as quebras de linha 

                
                String dna = req.getParameter("dna").toUpperCase();
                
                StringBuffer dnafilt = new StringBuffer();
                for(int cont = 0; cont < dna.length(); cont++){
                    if(dna.substring(cont, cont+1).equalsIgnoreCase("A") || dna.substring(cont, cont+1).equalsIgnoreCase("C")
                    || dna.substring(cont, cont+1).equalsIgnoreCase("G") || dna.substring(cont, cont+1).equalsIgnoreCase("T")){
                        dnafilt.append(dna.substring(cont, cont+1));
                    }
                }
                
                pesqvo.setDna(dnafilt.toString());
                pesqvo.setOrfMinimo(Integer.parseInt(req.getParameter("orfMinimo")));
                pesqvo.setCodRede(Integer.parseInt(req.getParameter("rede")));
                PesquisaBO pesqbo = new PesquisaBO();
                //insere a nova pesquisa no banco
                pesqbo.adiciona(pesqvo);
                 //pega cdigo do registro que acabou de ser inserido no banco
                int cod = pesqbo.getUltimoCadastrado().getCod();
                req.setAttribute("mensagem", pesqbo.getMensagem().getMsg());
                
                String url = "/WEB-INF/jsp/pesquisaIndivRelat.jsp?projeto="+codProjeto+"&pesquisa="+cod;
                RequestDispatcher rd = req.getRequestDispatcher(url);
              
                rd.forward(req, res);               			
	}
}





