package jorfinder.view;
 

import java.util.Iterator;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jorfinder.business.GabaritoBO;
import jorfinder.business.RedeBO;
import jorfinder.information.GabaritoVO;
import jorfinder.information.RedeVO;
import jorfinder.log2java.Logger;
import org.apache.commons.fileupload.DiskFileUpload;
import org.apache.commons.fileupload.FileItem;



// classe q trata o form de login da aplicao 
@SuppressWarnings({ "deprecation", "unchecked" })
public class Rede implements Action{

	public static Logger log = new Logger(Login.class.getName());
	
	public Rede(){
		
	}	
	
	@SuppressWarnings({ "deprecation", "unchecked" })
	public void execute(HttpServletRequest req, HttpServletResponse res)
			throws Exception {
		
                RedeVO redevo = new RedeVO();
                redevo.setNome(req.getParameter("nome"));
                redevo.setDescricao(req.getParameter("descricao"));        
                String gab = "";
                //utilzado pra lidar com o arquivo xml
                DiskFileUpload fu = new DiskFileUpload();
                fu.setSizeMax(1000000);
                List fileItems = fu.parseRequest(req);
                Iterator itr = fileItems.iterator();

                while(itr.hasNext()) {
                    FileItem fi = (FileItem)itr.next();
                    //se for um campo arquivo arquivo
                    if(!fi.isFormField()) {
                        String rede = RedeBO.getRede(fi.getString());           
                        gab = RedeBO.getGabarito(fi.getString());
                        redevo.setRede(rede);
                    } else {  
                        if(fi.getFieldName().equalsIgnoreCase("nome")){
                            redevo.setNome(fi.getString());
                        } 

                        if(fi.getFieldName().equalsIgnoreCase("descricao")){
                            redevo.setDescricao(fi.getString());
                        }   
                    }
                }
                //seta objeto RedeVO e insere 
                RedeBO redebo = new RedeBO();
                redebo.adiciona(redevo);
                if(redebo.getMensagem().isSucesso()){
                    req.setAttribute("alert", redebo.getMensagem().getMsg()); 
                } else {
                    req.setAttribute("mensagem", redebo.getMensagem().getMsg()); 
                }
                
                //seta objeto GabaritoVO e insere 
                RedeVO redecadastrada = redebo.getObjetoByUnique(redevo);
                GabaritoBO gabarito = new GabaritoBO();
                GabaritoVO gabvo = new GabaritoVO();
                gabvo.setCodRede(redecadastrada.getCod());
                gabvo.setGabXML(gab);
                gabarito.adiciona(gabvo);
                
                RequestDispatcher rd = req.getRequestDispatcher("/WEB-INF/jsp/redeRelat.jsp");
              
                rd.forward(req, res);               			
	}
}





