package controle.eventos;

import java.awt.Frame;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.StringTokenizer;

import jxl.Cell;
import jxl.Sheet;
import jxl.Workbook;
import jxl.read.biff.BiffException;

import thinlet.Thinlet;
import thinletcommons.AntiAliasedThinlet;
import thinletcommons.MessageDialog;
import thinletcommons.ThinletDialog;


public class ConfigurarArquivo extends AntiAliasedThinlet{
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public ThinletDialog dialogTxt;
	public ThinletDialog dialogXls;
	public ThinletDialog dialog;
    public Thinlet thinlet;
    public int statusCancelar = 0;
    public boolean validacao= false;
	public int contadorLinhas = 0;
	public int contadorTokens = 0;
	public File file = null;
	public Object txtSeparador,ckTabulacao,txtLinhaInicial,txtLinhaFinal,txtColunaInicial,txtColunaFinal,txtColunaClasse,btConfirmar = null;
    public int intLinhaInicial,intLinhaFinal,intColunaInicial,intColunaFinal,intColunaClasse; 
    public String stringSeparador;
    
	public void initParametersTxt(Object separador,Object ckTabulacao,Object linhaInicial,Object linhaFinal,Object colunaInicial,Object colunaFinal,Object colunaClasse,Object btConfirmar){
		this.txtSeparador = separador;
		this.ckTabulacao = ckTabulacao;
		this.txtLinhaInicial = linhaInicial;
		this.txtLinhaFinal = linhaFinal;
		this.txtColunaInicial = colunaInicial;
		this.txtColunaFinal = colunaFinal;
		this.txtColunaClasse = colunaClasse;
	}
	
	public void initParametersXls(Object xlsLinhaInicial,Object xlsLinhaFinal,Object xlsColunaInicial,Object xlsColunaFinal,Object xlsColunaClasse,Object btConfirmarXls){
		this.txtLinhaInicial = xlsLinhaInicial;
		this.txtLinhaFinal = xlsLinhaFinal;
		this.txtColunaInicial = xlsColunaInicial;
		this.txtColunaFinal = xlsColunaFinal;
		this.txtColunaClasse = xlsColunaClasse;
	}
	
    //carregar arquivos txt
    public void abrirTxt(String type, File file) {
    	contadorLinhas = 0;
    	this.file = file;
       	ChamarDialogoTxt(new Frame(),"Configuraes de carregamento de arquivo *.txt",type);
        dialogTxt.pack();
        dialogTxt.setLocationRelativeTo(this.thinlet);
        if (type.equalsIgnoreCase("Classificacao")){
        	dialogTxt.setSize(440,240);
         }
        else{
        	dialogTxt.setSize(440,280);
        }
       	//contador de linhas e colunas do arquivo    
        BufferedReader arqDados = null;
		try {
			arqDados = new BufferedReader(new FileReader(this.file.getAbsolutePath()));
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
 		    String linha = "";
    		try {
				while ((linha = arqDados.readLine()) != null) {
					contadorLinhas++;
				}
			} catch (NumberFormatException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		setString(txtLinhaFinal,"text",Integer.toString(contadorLinhas));
		dialogTxt.setAlwaysOnTop(true);
        dialogTxt.setLocationRelativeTo(dialogTxt.getOwner());
        dialogTxt.setModal(true);
        dialogTxt.setVisible(true);
        dialogTxt.repaint();
        
    }
        
    public void ChamarDialogoTxt(Frame owner, String title,String type) {
    	this.dialogTxt = new ThinletDialog(owner,title,false);
    	this.initTxt(type);
    }
    
    
    private void initTxt(String type) {
    	this.thinlet = new AntiAliasedThinlet();
    	Object dialogo = null;
    	String tela = null;
    	if (type.equalsIgnoreCase("Classificacao")){
    		tela = "/visao/gui/telas/carregararquivoTxtClassificacao.xml";
    	}
    	else{
    		tela = "/visao/gui/telas/carregararquivoTxt.xml";
    	}
    	try {
    		dialogo = thinlet.parse(tela, this);
    	} catch (IOException e) {
    		// TODO Criar mensagem de erro na consturao
    		e.printStackTrace();
    	}
        thinlet.add(dialogo);
        dialogTxt.setContent(thinlet);
    }
      
    public void setParametrosTxt(){
    	//new MessageDialog(dialog2, "Nenhum arquivo selecionado", "Por favor selecione um arquivo.").show();
        	this.stringSeparador = getString(thinlet.find("txtSeparador"),"text");
    		this.intLinhaInicial = Integer.parseInt(getString(thinlet.find("txtLinhaInicial"),"text"));
    		this.intLinhaFinal = Integer.parseInt(getString(thinlet.find("txtLinhaFinal"), "text"));
    		this.intColunaInicial = Integer.parseInt(getString(thinlet.find("txtColunaInicial"),"text"));
    		this.intColunaFinal = Integer.parseInt(getString(thinlet.find("txtColunaFinal"),"text"));
    		this.intColunaClasse = Integer.parseInt(getString(thinlet.find("txtColunaClasse"),"text"));
   		if (this.stringSeparador == null  ){
         		new MessageDialog(dialog, "Nenhum arquivo selecionado", "Por favor Prencha corretamente os campos para poder abrir o arquivo.").show();
         		
         	}
   		    this.file = null;
    		dialogTxt.setVisible(false);
        
    }
  
    public void cancelarTxt(){
    	statusCancelar = 1;
    	dialogTxt.setVisible(false);
    	
    }
    
   
    //carregar arquivos xls 
    public void abrirXls(String tipo,File file){
      	this.file = file;
    	ChamarDialogoXls(new Frame(),"Configuraes de carregamento de arquivo *.xls",tipo);
        dialogXls.pack();
        dialogXls.setLocationRelativeTo(this.thinlet); 
        if (tipo.equalsIgnoreCase("Classificacao")){
        	dialogXls.setSize(450,180);
         }
        else{
        	dialogXls.setSize(450,230);
        }
    	//contador de linhas e colunas do arquivo    
        Workbook workbook = null;
		try {
			workbook = Workbook.getWorkbook(new File(this.file.getAbsolutePath()));
		} catch (BiffException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}  
	    Sheet sheet = workbook.getSheet(0);
	    int linhaFinal = sheet.getRows();
	    int colunaClasse = sheet.getColumns();
	    int colunaFinal = colunaClasse - 1;
	    setString(txtLinhaFinal,"text",Integer.toString(linhaFinal));
	    setString(txtColunaFinal,"text",Integer.toString(colunaFinal));
	    setString(txtColunaClasse,"text",Integer.toString(colunaClasse));
        dialogXls.setAlwaysOnTop(true);
        dialogXls.setLocationRelativeTo(dialogXls.getOwner());
        dialogXls.setModal(true);
        dialogXls.setVisible(true);
        dialogXls.repaint();
    }
        
    public void ChamarDialogoXls(Frame owner, String title,String tipo) {
    	this.dialogXls = new ThinletDialog(owner,title,false);
    	this.initXls(tipo);
    }
    
    
    private void initXls(String tipo) {
    	this.thinlet = new AntiAliasedThinlet();
    	Object dialogo = null;
    	String tela = null;
    	if (tipo.equalsIgnoreCase("Classificacao")){
    		tela = "/visao/gui/telas/carregararquivoXlsClassificacao.xml";
    	}
    	else{
    		tela = "/visao/gui/telas/carregararquivoXls.xml";
    	}
       	try {
    		dialogo = thinlet.parse(tela, this);
    	} catch (IOException e) {
    		// TODO Criar mensagem de erro na consturao
    		e.printStackTrace();
    	}
        thinlet.add(dialogo);
        dialogXls.setContent(thinlet);
    }
    public void setParametrosXls(){
		this.intLinhaInicial = Integer.parseInt(getString(thinlet.find("xlsLinhaInicial"),"text"));
		this.intLinhaFinal = Integer.parseInt(getString(thinlet.find("xlsLinhaFinal"), "text"));
		this.intColunaInicial = Integer.parseInt(getString(thinlet.find("xlsColunaInicial"),"text"));
		this.intColunaFinal = Integer.parseInt(getString(thinlet.find("xlsColunaFinal"),"text"));
		this.intColunaClasse = Integer.parseInt(getString(thinlet.find("xlsColunaClasse"),"text"));
        dialogXls.setVisible(false);
        
    }
    
    public void cancelarXls(){
    	statusCancelar = 1;
    	dialogXls.setVisible(false);
    }

    public void habilitarTabulacao(){
    	if (this.getBoolean(ckTabulacao, "selected") == true ){
    		setBoolean(txtSeparador,"enabled",false);
    		setBoolean(txtSeparador,"editable",false);
    		calculaColuna();
    		validacao = true;
    	}else{
    		setBoolean(txtSeparador,"enabled",true);
    		setBoolean(txtSeparador,"editable",true);
    		validacao = false;
    	}
    	thinlet.repaint();
    }
    
    
    public String getSeparador(){
    	if (validacao == true) {
    		this.stringSeparador = "\t";
    		return this.stringSeparador;
    	}else{
    	return this.stringSeparador;
    	}
    }
    
    public void calculaColuna(){
    	contadorTokens = 0;
    	String sp = null;
    	if (this.getBoolean(ckTabulacao, "selected") == true ){
    		sp = "\t";
    	}else{
    		sp = getString(txtSeparador,"text").toString();
    	}
    	BufferedReader arqDados = null;
		try {
			arqDados = new BufferedReader(new FileReader(this.file.getAbsolutePath()));
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
 		    String linha = "";
 		   try {
				while ((linha = arqDados.readLine()) != null) {    
 						StringTokenizer t = new StringTokenizer(linha, sp);
						while (t.hasMoreTokens()){
							t.nextToken();
							contadorTokens++;
						}
					}
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			    catch (NumberFormatException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			if (contadorTokens == 0){

			}
			    contadorTokens = contadorTokens/contadorLinhas;
			int colClasse = contadorTokens;
			int colFinal = colClasse - 1;
			if (contadorTokens < 2 ){
				setString(txtColunaFinal,"text","");
				setString(txtColunaClasse,"text","");
			}else{
				setString(txtColunaFinal,"text",Integer.toString(colFinal));
				setString(txtColunaClasse,"text",Integer.toString(colClasse));
			}
			thinlet.repaint();
    }
    
    public int getColunaClasse(){
    	return this.intColunaClasse;
    }
    public int getColunaInicial(){
    	return this.intColunaInicial;
    }
    public int getColunaFinal(){
    	return this.intColunaFinal;
    }
    public int getLinhaInicial(){
    	return this.intLinhaInicial;
    }
    public int getLinhaFinal(){
    	return this.intLinhaFinal;
    }
    public int getStatusCancelar(){
    	return this.statusCancelar;
    }
    
}
	
	

