package modelo;

import org.jfree.data.category.CategoryDataset;
import org.jfree.data.category.DefaultCategoryDataset;

import controle.main.App;

public class DataSetPool {
	
	private final CategoryDataset datasetEstatistica = new DefaultCategoryDataset();
	private String serieMedHarm = "Mdia Harmnica";
	private String serieMaxMin = "Mximo Mnimo";
	private String serieMedArit = "Mdia Aritmtica";
	
	public void addEstatisticData(int epoca, double harmonica, double maxmin, double aritmetica) {
		synchronized (App.getLockGraphicStatistic()) {
			((DefaultCategoryDataset)datasetEstatistica).addValue(harmonica, serieMedHarm, Integer.toString(epoca));
			((DefaultCategoryDataset)datasetEstatistica).addValue(maxmin, serieMaxMin, Integer.toString(epoca));
			((DefaultCategoryDataset)datasetEstatistica).addValue(aritmetica, serieMedArit, Integer.toString(epoca));
			if (datasetEstatistica.getColumnCount() > 20) { //TODO mudar o 51 para um parâmetro do projeto
				((DefaultCategoryDataset)datasetEstatistica).removeColumn(0);
				//TODO ver se isso tah funcionando
			}	
		}
		
	}
	
	public CategoryDataset getDatasetEstatistica() {
		return datasetEstatistica;
	}

}
