package modelo;

import jfan.fan.normalizadores.NormalizatorConfiguration;
import jfan.fan.normalizadores.NormalizatorTypes;

public class RedeConfig {
	
	private int suporteConjuntosDifusos = 100;
	
	private int raioDifuso = 6;
	
	private NormalizatorTypes tipoNormalizador = NormalizatorTypes.NormalizatorMaxMin;
	
	private NormalizatorConfiguration normalizatorConfiguration = new NormalizatorConfiguration();
	
	double[] maximos = null;
	
	boolean[] maximosAutomaticos = null;
	
	double[] minimos = null;
	
	boolean[] minimosAutomaticos = null;
	
	double[] medias = null;
	
	boolean[] mediasAutomaticas = null;
	
	public int getRaioDifuso() {
		return this.raioDifuso;
	}

	public void setRaioDifuso(int raioDifuso) {
		this.raioDifuso = raioDifuso;
	}

	public int getSuporteConjuntosDifusos() {
		return this.suporteConjuntosDifusos;
	}

	public void setSuporteConjuntosDifusos(int suporteConjuntosDifusos) {
		this.suporteConjuntosDifusos = suporteConjuntosDifusos;
	}
	
	public NormalizatorConfiguration getNormalizatorConfiguration() {
		return this.normalizatorConfiguration;
	}

	public void setNormalizatorConfiguration(
			NormalizatorConfiguration normalizatorConfiguration) {
		this.normalizatorConfiguration = normalizatorConfiguration;
	}
	
	public NormalizatorTypes getTipoNormalizador() {
		return this.tipoNormalizador;
	}

	public void setTipoNormalizador(NormalizatorTypes tipoNormalizador) {
		this.tipoNormalizador = tipoNormalizador;
	}

	public double[] getMaximos() {
		return this.maximos;
	}

	public void setMaximos(double[] maximos) {
		this.maximos = maximos;
	}

	public double[] getMedias() {
		return this.medias;
	}

	public void setMedias(double[] medias) {
		this.medias = medias;
	}

	public double[] getMinimos() {
		return this.minimos;
	}

	public void setMinimos(double[] minimos) {
		this.minimos = minimos;
	}

	public boolean[] getMaximosAutomaticos() {
		return maximosAutomaticos;
	}

	public void setMaximosAutomaticos(boolean[] maximosAutomaticos) {
		this.maximosAutomaticos = maximosAutomaticos;
	}

	public boolean[] getMediasAutomaticas() {
		return mediasAutomaticas;
	}

	public void setMediasAutomaticas(boolean[] mediasAutomaticas) {
		this.mediasAutomaticas = mediasAutomaticas;
	}

	public boolean[] getMinimosAutomaticos() {
		return minimosAutomaticos;
	}

	public void setMinimosAutomaticos(boolean[] minimosAutomaticos) {
		this.minimosAutomaticos = minimosAutomaticos;
	}
}
