package visao.gui.telas.classes;

import java.awt.Dialog;
import java.awt.Frame;
import java.io.IOException;
import thinlet.Thinlet;
import thinletcommons.AntiAliasedThinlet;
import thinletcommons.ThinletDialog;

public class MatrizConfusao {

	private Thinlet thinlet;

	private ThinletDialog dialog;

	public MatrizConfusao(Dialog owner) {
		this.dialog = new ThinletDialog(owner, false);
		this.init();
	}

	public MatrizConfusao(Dialog owner, String title) {
		this.dialog = new ThinletDialog(owner, title, false);
		this.init();
	}

	public MatrizConfusao(Frame owner) {
		this.dialog = new ThinletDialog(owner, false);
		this.init();
	}

	public MatrizConfusao(Frame owner, String title) {
		this.dialog = new ThinletDialog(owner, title, false);
		this.init();
	}

	private void init() {
		this.thinlet = new AntiAliasedThinlet();
		Object panel = null;
		try {
			panel = thinlet.parse("/visao/gui/telas/MatrizConfusao.xml", this);
		} catch (IOException e) {
			// TODO Criar mensagem de erro na constura��o
			e.printStackTrace();

		}
		thinlet.add(panel);
		dialog.setContent(thinlet);
	}

	public void show() {
		dialog.pack();
		dialog.setSize(300, 335);
		dialog.setAlwaysOnTop(true);
		dialog.setLocationRelativeTo(dialog.getOwner());
		dialog.setVisible(true);
	}

	public void cancelar() {
		dialog.setVisible(false);
	}

	public static void main(String[] args) {
		MatrizConfusao mc = new MatrizConfusao(new Frame(),
				"Matriz de Confus�o");
		mc.show();
		while (mc.dialog.isShowing()) {
		}
		mc.dialog.dispose();

		System.exit(0);

	}

}
