package visao.gui.telas.classes;

	import java.awt.Dialog;
	import java.awt.Frame;
	import java.io.IOException;
	import thinlet.Thinlet;
	import thinletcommons.AntiAliasedThinlet;
	import thinletcommons.ThinletDialog;

public class NomeadorCaracteristica {

		private Thinlet thinlet;
		private ThinletDialog dialog;
		
		public NomeadorCaracteristica(Dialog owner) {
			this.dialog = new ThinletDialog(owner,false);
			this.init();
		}
		
		public NomeadorCaracteristica(Dialog owner, String title) {
			this.dialog = new ThinletDialog(owner,title,false);
			this.init();
		}
		
		public NomeadorCaracteristica(Frame owner) {
			this.dialog = new ThinletDialog(owner,false);
			this.init();
		}
		public NomeadorCaracteristica(Frame owner, String title) {
			this.dialog = new ThinletDialog(owner,title,false);
			this.init();
		}
		
		private void init() {
			this.thinlet = new AntiAliasedThinlet();
			Object panel = null;
			try {
				panel = thinlet.parse("/visao/gui/telas/EscolherNomesCaracteristicas.xml", this);
			} catch (IOException e) {
				// TODO Criar mensagem de erro na construo
				e.printStackTrace();
				
			}
	        thinlet.add(panel);
	        dialog.setContent(thinlet);
		}
		
		public void show() {
			dialog.pack();
			dialog.setSize(315, 135);
			dialog.setAlwaysOnTop(true);
	        dialog.setLocationRelativeTo(dialog.getOwner());
	        dialog.setVisible(true);
	    }
		public void confirmar(){
			
		}
		
		public void cancelar(){
			dialog.setVisible(false);
		}
		
		public static void main(String[] args) {
			NomeadorCaracteristica nc = new NomeadorCaracteristica(new Frame(),"Nomeie as caractersticas");
			nc.show();
			while (nc.dialog.isShowing()) {}
			nc.dialog.dispose();
			
			System.exit(0);
			
		}

	}
