package visao.gui.telas.classes;

	import java.awt.Dialog;
	import java.awt.Frame;
	import java.io.IOException;
	import thinlet.Thinlet;
	import thinletcommons.AntiAliasedThinlet;
	import thinletcommons.ThinletDialog;

	public class ResultadosClassificacao {

		private Thinlet thinlet;

		private ThinletDialog dialog;

		public ResultadosClassificacao(Dialog owner) {
			this.dialog = new ThinletDialog(owner, false);
			this.init();
		}

		public ResultadosClassificacao(Dialog owner, String title) {
			this.dialog = new ThinletDialog(owner, title, false);
			this.init();
		}

		public ResultadosClassificacao(Frame owner) {
			this.dialog = new ThinletDialog(owner, false);
			this.init();
		}

		public ResultadosClassificacao(Frame owner, String title) {
			this.dialog = new ThinletDialog(owner, title, false);
			this.init();
		}

		private void init() {
			this.thinlet = new AntiAliasedThinlet();
			Object panel = null;
			try {
				panel = thinlet.parse("/visao/gui/telas/ResultadosClassificacao.xml", this);
			} catch (IOException e) {
				// TODO Criar mensagem de erro na constura��o
				e.printStackTrace();

			}
			thinlet.add(panel);
			dialog.setContent(thinlet);
		}

		public void show() {
			dialog.pack();
			dialog.setSize(220, 170);
			dialog.setAlwaysOnTop(true);
			dialog.setLocationRelativeTo(dialog.getOwner());
			dialog.setVisible(true);
		}

		public void cancelar() {
			dialog.setVisible(false);
		}

		public static void main(String[] args) {
			ResultadosClassificacao rc = new ResultadosClassificacao(new Frame(),
					"Resultados - Classifica��o");
			rc.show();
			while (rc.dialog.isShowing()) {
			}
			rc.dialog.dispose();

			System.exit(0);

		}

	}