/*
 * CodonBO.java
 *
 * Created on 18 de Julho de 2007, 22:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package jorfinder.business;

/**
 *
 * @author oeslei
 */

import java.util.ArrayList;
import javax.swing.JOptionPane;

import jorfinder.information.*;
import jorfinder.persistence.*;
import jorfinder.util.*;

public class CodonBO {
	
	public void adiciona(CodonVO objeto) {
            try {            
                CodonDAO.adiciona(objeto);		
            } catch (jorfinder.util.UniqueException ex) {
                String msg = "No foi possvel cadastrar esse Codon porque j existe um codon cadastrado com esses Dados.";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                
            }			
	}
	
	public void atualiza(CodonVO objeto) {		
            try {

                CodonDAO.atualiza(objeto);
            } catch (jorfinder.util.UniqueException ex) {
                String msg = "No foi possvel atualizar o cadastro desse Codon porque j existe um codon cadastrado com esses Dados.";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                
            }	
	}

	public void exclui(CodonVO objeto) {
            try {	                      
                CodonDAO.exclui(objeto);
            } catch (jorfinder.util.VioletionFKException ex) {
                String msg = "No foi possvel deletar esse cadastro porque existe outros cadastro que dependem dele";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);	
                
            }
	}

	public CodonVO getObjetoByUnique(CodonVO condoVO){
		return CodonDAO.getObjetoByUnique(condoVO);
	}
	
	public ArrayList <CodonVO> getListaObjeto(){
		return CodonDAO.getListaObjeto();
	}

}
