/*
 * TreinoBO.java
 *
 * Created on 18 de Julho de 2007, 22:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package jorfinder.business;

/**
 *
 * @author oeslei
 */

import java.io.IOException;
import java.util.ArrayList;
import javax.swing.JOptionPane;
import jorfinder.information.*;
import jorfinder.persistence.*;
import jorfinder.util.*;

public class RedeBO {
	
	public void adiciona(RedeVO objeto) {
            try {            
                RedeDAO.adiciona(objeto);
                String msg = "Rede cadastrada com sucesso!";
                JOptionPane.showMessageDialog(null,msg, "Cadastrar Rede", JOptionPane.INFORMATION_MESSAGE);              
            } catch (jorfinder.util.UniqueException ex) {
                String msg = "No foi possvel cadastrar essa Rede porque j existe uma rede cadastrada com esses Dados.";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                
            }			
	}
	
	public void atualiza(RedeVO objeto) {		
            try {

                RedeDAO.atualiza(objeto);
                
            } catch (jorfinder.util.UniqueException ex) {
                String msg = "No foi possvel atualizar o cadastro dessa Rede porque j existe uma rede cadastrada com esses Dados.";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                
            }	
	}

	public void exclui(RedeVO objeto) {
            try {	                      
                RedeDAO.exclui(objeto);
                JOptionPane.showMessageDialog(null, "Rede Excluda com sucesso!", "Rede", 1);
                
            } catch (jorfinder.util.VioletionFKException ex) {
                String msg = "No foi possvel deletar essa Rede porque existe outros cadastro que dependem dele";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);	
                
            }
	}

	public RedeVO getObjetoByUnique(RedeVO redeVO){
             RedeVO redeVO1 = new RedeVO();
             try{        
                    redeVO1=RedeDAO.getObjetoByUnique(redeVO);
               }
               catch (IOException e){
                   JOptionPane.showMessageDialog( null,"Erro no carregamento da rede! ","Erro", JOptionPane.ERROR_MESSAGE );
	   }
         
       
	     return redeVO1 ;
	}
	
	public ArrayList <RedeVO> getListaObjeto(){
            
          ArrayList <RedeVO> lista = new ArrayList();    
          try{        
                    lista=RedeDAO.getListaObjeto();
               }catch (IOException e){
                       JOptionPane.showMessageDialog( null,"Erro no carregamento da rede! ","Erro", JOptionPane.ERROR_MESSAGE );
	   }
          return lista;
        }
        
}