/*
 * TreinoBO.java
 *
 * Created on 18 de Julho de 2007, 22:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package jorfinder.business;

/**
 *
 * @author oeslei
 */

import java.util.ArrayList;
import javax.swing.JOptionPane;

import jorfinder.information.*;
import jorfinder.persistence.*;
import jorfinder.util.*;

public class TreinoBO {
	
	public void adiciona(TreinoVO objeto) {
            try {            
                TreinoDAO.adiciona(objeto);		
            } catch (jorfinder.util.UniqueException ex) {
                String msg = "No foi possvel cadastrar esse Treino porque j existe um treino cadastrado com esses Dados.";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                
            }			
	}
	
	public void atualiza(TreinoVO objeto) {		
            try {

                TreinoDAO.atualiza(objeto);
            } catch (jorfinder.util.UniqueException ex) {
                String msg = "No foi possvel atualizar o cadastro desse Treino porque j existe um treino cadastrado com esses Dados.";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                
            }	
	}

	public void exclui(TreinoVO objeto) {
            try {	                      
                TreinoDAO.exclui(objeto);
                JOptionPane.showMessageDialog(null, "Tabela Treino Excluda com sucesso!", "Tabela Treino", 1);
                
            } catch (jorfinder.util.VioletionFKException ex) {
                String msg = "No foi possvel deletar esse Treino porque existe outros cadastro que dependem dele";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);	
                
            }
	}

	public TreinoVO getObjetoByUnique(TreinoVO treinoVO){
		return TreinoDAO.getObjetoByUnique(treinoVO);
	}
	
	public ArrayList <TreinoVO> getListaObjeto(){
		return TreinoDAO.getListaObjeto();
	}

}