/*
 * TreinoORFGabaritoBO.java
 *
 * Created on 18 de Julho de 2007, 22:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package jorfinder.business;

/**
 *
 * @author oeslei
 */

import java.util.ArrayList;
import javax.swing.JOptionPane;

import jorfinder.information.*;
import jorfinder.persistence.*;
import jorfinder.util.*;

public class TreinoORFGabaritoBO {
	
    
    public void adiciona(TreinoORFGabaritoVO objeto) {
            try {            
                TreinoORFGabaritoDAO.adiciona(objeto);	         
            } catch (jorfinder.util.UniqueException ex) {
                String msg = "No foi possvel cadastrar esse TreinoORFGabarito porque j existe um  treino cadastrado com esses Dados.";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                
            }			
	}
	
	public void atualiza(TreinoORFGabaritoVO objeto) {		
            try {

                TreinoORFGabaritoDAO.atualiza(objeto);
            } catch (jorfinder.util.UniqueException ex) {
                String msg = "No foi possvel atualizar o cadastro desse TreinoORFGabarito porque j existe um treino cadastrado com esses Dados.";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);
                
            }	
	}
 
        
	public void exclui(TreinoORFGabaritoVO objeto) {
            try {	                      
                TreinoORFGabaritoDAO.exclui(objeto);
            } catch (jorfinder.util.VioletionFKException ex) {
                String msg = "No foi possvel deletar esse cadastro porque existe outros cadastro que dependem dele";
                JOptionPane.showMessageDialog(null, msg, "Erro na execuo", JOptionPane.ERROR_MESSAGE);	
                
            }
	}

	public TreinoORFGabaritoVO getObjetoByUnique(TreinoORFGabaritoVO treinoVO){
		return TreinoORFGabaritoDAO.getObjetoByUnique(treinoVO);
	}
	
	public ArrayList <TreinoORFGabaritoVO> getListaObjeto(){
		return TreinoORFGabaritoDAO.getListaObjeto();
	}
        
        
        public ArrayList <TreinoORFGabaritoVO> getTreinoUsaCodTreino(TreinoVO treinoVO){
		return TreinoORFGabaritoDAO.getTreinoUsaCodTreino(treinoVO);
	}
        
        public ArrayList <TreinoORFGabaritoVO> getTreinoUsaCodTreino1(TreinoVO treinoVO){
		return TreinoORFGabaritoDAO.getTreinoUsaCodTreino1(treinoVO);
	}
        
        public ArrayList <TreinoORFGabaritoVO> getTreinoUsaCodTreino2(TreinoVO treinoVO){
		return TreinoORFGabaritoDAO.getTreinoUsaCodTreino2(treinoVO);
	}

}
