/*
 * ClasseComboboxModel.java
 *
 * Created on 19 de Julho de 2007, 12:08
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package jorfinder.swingModel;

import java.util.ArrayList;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;
import javax.swing.event.ListDataListener;
import jorfinder.business.ClasseBO;
import jorfinder.information.ClasseVO;

/**
 *
 * @author matheus
 */
public class ClasseComboboxModel extends DefaultComboBoxModel implements ComboBoxModel {
    /** Creates a new instance of ClasseComboboxModel */
    private ArrayList<ClasseVO> array;
    private ClasseBO classeBO;
    
    public ClasseComboboxModel(ClasseBO classeBO) {
        this.classeBO = classeBO;
        this.array = this.classeBO.getListaObjeto();
        
    }    

    public int getSize() {
        return array.size();
    }
    
    public Object getElementAt(int index) {
        return array.get(index).getNome();
    }
    
    public ClasseVO getObjeto(int index) {
        return array.get(index);
    }
    
    public int getIndexOf(Object item) {
        for (int cont = 0; cont < array.size(); cont++){
            if(array.get(cont).getNome().equals(item)){
                return array.get(cont).getCod();
            }
        }
        return -1;
    }    
}
