/*
 * ExportarRedeNeuralTableModel.java
 *
 * Criado em 3 de Novembro de 2007, 15:58
 *
 * Para mudar este modelo, escolha Ferramentas | Gerenciador de Modelos
 * e abra o modelo no editor.
 */

package jorfinder.swingModel;
import java.util.ArrayList;
import javax.swing.JOptionPane;
import jorfinder.util.Mensagem;
import jorfinder.business.RedeBO;
import jorfinder.information.RedeVO;
import jorfinder.log2java.Logger;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Marcelo Moreira Mendes
 */
public class ExportarRedeNeuralTableModel extends AbstractTableModel
{
    
    public static Logger log = new Logger(TreinoDetalhadaGabaritoTableModel.class.getName());
   
    private String[] nomeColunas;
    private RedeVO redeVO = new RedeVO();
    private RedeBO redeBO = new RedeBO();
    private ArrayList<RedeVO> arrayRegistros = new ArrayList();
    private ArrayList<RedeVO> arrayRedeVO = new ArrayList();
    
    
    /**
     * Cria um a nova instancia de ExportarRedeNeuralTableModel
     */
    public ExportarRedeNeuralTableModel() {
        
        this.arrayRegistros=redeBO.getListaObjeto();
        nomeColunas = new String[] {"Codigo Rede","Codigo Treino","Nome","Descrio"};    
    }   
    

    public int getRowCount() {
        return getArrayRegistros().size();
    }

    public int getColumnCount() {
        return nomeColunas.length;
    }

    public Object getValueAt(int rowIndex, int columnIndex) {
         // Obtem a linha!
        String retorno = null;
        RedeVO redeVO = getArrayRegistros().get(rowIndex);
        switch (columnIndex) 
        {
             case 0:            
                retorno = String.valueOf(redeVO.getCod());
                break;
            case 1:            
                retorno =String.valueOf(redeVO.getCodTreino());
                break;
            case 2:            
                retorno =redeVO.getNome();
                break;
            case 3:            
                retorno =redeVO.getDescricao();
                break;   
          
                
        }
        return retorno;
    }
    
    public String getColumnName(int col){
          return this.nomeColunas[col];
    }
    
    public void retirar(int linha)
    {  
             
             this.arrayRegistros.remove(linha);
             fireTableRowsDeleted(linha, this.arrayRegistros.size());                  
    } 

    public ArrayList<RedeVO> getArrayRegistros() {
        return arrayRegistros;
    }

    public void setArrayRegistros(ArrayList<RedeVO> arrayRegistros) {
        this.arrayRegistros = arrayRegistros;
    }

    public RedeVO getORFVOselecionada(int linha) {
       return arrayRegistros.get(linha);
    }

    public void atualizar(){        
                
        //depois chama todos os caboclinho de novo      
        setArrayRegistros(this.arrayRedeVO);
        fireTableRowsInserted(0, this.arrayRegistros.size());
   
      
    }
}