/*
 * TreinoDetalhadaTreinoOrfGabaritoTableModel.java
 *
 * Criado em 14 de Outubro de 2007, 14:00
 *
 * Para mudar este modelo, escolha Ferramentas | Gerenciador de Modelos
 * e abra o modelo no editor.
 */

package jorfinder.swingModel;

import java.util.ArrayList;
import javax.swing.JOptionPane;
import jorfinder.business.GabaritoBO;
import jorfinder.util.Mensagem;
import jorfinder.business.ORFBO;
import jorfinder.business.TreinoBO;
import jorfinder.business.TreinoORFGabaritoBO;
import jorfinder.information.GabaritoVO;
import jorfinder.information.ORFVO;
import jorfinder.information.TreinoORFGabaritoVO;
import jorfinder.information.TreinoVO;
import jorfinder.log2java.Logger;

import javax.swing.table.AbstractTableModel;


public class TreinoDetalhadaTreinoOrfGabaritoTableModel extends AbstractTableModel{
    
    public static Logger log = new Logger(TreinoDetalhadaTreinoOrfGabaritoTableModel.class.getName());
    private TreinoORFGabaritoBO treinoORFGabaritoBO =new TreinoORFGabaritoBO();
    private ArrayList<String> listaNomeColunas=new ArrayList<String>();
    private ORFVO orfVO = new ORFVO();
    private ORFBO orfBO =new ORFBO();
    private GabaritoVO gabaritoVO = new GabaritoVO();
    private GabaritoBO gabaritoBO = new GabaritoBO();
    private TreinoORFGabaritoVO treinoORFGabaritoVO = new TreinoORFGabaritoVO();
    private ArrayList<TreinoORFGabaritoVO> arrayTreinoORFGabarito;
    private ArrayList<TreinoORFGabaritoVO> arrayTreinoORFGabarito1;
    private ArrayList<TreinoORFGabaritoVO> arrayTreinoORFGabarito2;
    private ArrayList elemento;
    private ArrayList<ArrayList> listaElementos= new ArrayList<ArrayList>();
   
     
   
    
    /** Creates a new instance of ORFTreinoTableModel */
    
    public TreinoDetalhadaTreinoOrfGabaritoTableModel(TreinoVO treinoVO){
        
        log.info("Instanciando um TableModelTreinoDetalhadaOrfGabarito, com um array de Tabela Treino");
        this.arrayTreinoORFGabarito=treinoORFGabaritoBO.getTreinoUsaCodTreino(treinoVO);
        this.arrayTreinoORFGabarito1=treinoORFGabaritoBO.getTreinoUsaCodTreino1(treinoVO);
        this.arrayTreinoORFGabarito2=treinoORFGabaritoBO.getTreinoUsaCodTreino2(treinoVO);
        
        
        //-------------Monta o nome das colunas ----------------------------------
        listaNomeColunas.add("ORF");
        for(int i=0; i< this.arrayTreinoORFGabarito.size();i++ ){        
            gabaritoVO.setCod(arrayTreinoORFGabarito.get(i).getCodGabarito());
            gabaritoVO=gabaritoBO.getObjetoByUnique(gabaritoVO);
            listaNomeColunas.add(gabaritoVO.getDescricao());  
        }      
        listaNomeColunas.add("Classe");
        
        //------------------Monta a lista de elementos -----------------------------------
        
        int aux=0;
        int cont=0;
        for(int i=0;i< arrayTreinoORFGabarito2.size();i++ ){
                  
                   cont++;
                   if( aux != this.arrayTreinoORFGabarito2.get(i).getCodORF()){
                       
                        elemento = new ArrayList();
                        aux=this.arrayTreinoORFGabarito2.get(i).getCodORF();
                        this.orfVO.setCod(this.arrayTreinoORFGabarito2.get(i).getCodORF());
                        this.orfVO=this.orfBO.getORFVO(this.orfVO);
                        elemento.add(this.orfVO.getNome());
                       
                   } 
                  
                   elemento.add(this.arrayTreinoORFGabarito2.get(i).getCaracteristica());
                  
                   if(this.arrayTreinoORFGabarito.size()==1) {    
                       
                     elemento.add(this.orfVO.getClasse().getNome());
                     listaElementos.add(elemento);
                
                   }    
                   else if (cont == this.arrayTreinoORFGabarito.size()){
                     cont=0;  
                     elemento.add(this.orfVO.getClasse().getNome());
                     listaElementos.add(elemento);
                   
                   }    
                   
                         
        }   
        
     
       
    }  
    
    public ArrayList<ArrayList> getListaElemento(){
       return this.listaElementos; 
    }
    
    
    public int getRowCount() {
        return  this.listaElementos.size();
    }
    
    public int getColumnCount() {
        return listaNomeColunas.size();
    }
    
    public Object getValueAt(int rowIndex, int columnIndex) {         
        String retorno=null;
        ArrayList elemento=null;  
        elemento=this.listaElementos.get(rowIndex);
        retorno= String.valueOf(elemento.get(columnIndex));  
        return retorno;
    }
    
    public String getColumnName(int col){
          return this.listaNomeColunas.get(col);
    }
    
    
}

