/*
 * GerenciadorArquivo.java
 *
 * Criado em 20 de Outubro de 2007, 17:10
 *
 * Para mudar este modelo, escolha Ferramentas | Gerenciador de Modelos
 * e abra o modelo no editor.
 */

package jorfinder.view;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.lang.String;
import java.util.ArrayList;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import jorfinder.business.*;
import jorfinder.information.ORFVO;
import jorfinder.util.TipoFileFilter;
/**
 *
 * @author Marcelo Moreira Mendes
 */
public class GerenciadorArquivo{
    
   TipoFileFilter tipoArquivo = new TipoFileFilter("dat", "O arquivo ser salvo com a extenso DAT");
   static File arquivo, arquivo2;
   
  
   public GerenciadorArquivo(ArrayList listaElementos) {
    
       arquivo2=getArquivo();
       if (arquivo2 != null){       
            salvar(listaElementos,arquivo2);       
       }    
   
   }
   
 
   public static void  setArquivo(File arqnome){	 
	  arquivo=arqnome; 
   }


   public File getArquivo() {
       
             //Varivel do tipo inteiro que armazena o tipo de caixa de dialogo que ser aberta.
              int result;
              //Mostra dialogo box onde o usuario pode escolher o arquivo para ser aberto
              JFileChooser fileChooser = new JFileChooser();
	      
              // Permite apenas a seleco de arquivos
	      fileChooser.setFileSelectionMode( JFileChooser.FILES_ONLY );
              fileChooser.setFileFilter(tipoArquivo);
	      fileChooser.setCurrentDirectory(new File("c:\\"));
	      
	      
              //  Abre dialogo de salvamento de arquivo
              result = fileChooser.showSaveDialog( null );

	      //Verifica se o usuario clicou no boto  cancelar da caixa de dialogo
	      if ( result == JFileChooser.CANCEL_OPTION )
	        return null;
	      // Obtem o arquivo selecionado
               String nome = fileChooser.getSelectedFile().getPath(); 
               nome += ".dat"; 
       	       File fileName =  new File(nome);
	     
	     
	      // Mostra erro se o nome do arquivo for invalido
	      if ( fileName == null || fileName.getName().equals( "" ) ){ 
	         JOptionPane.showMessageDialog( null,"Nome do arquivo invalido", "Erro",JOptionPane.ERROR_MESSAGE );
	         return null;
	      } 
            setArquivo(fileName); 
            return fileName;
   }
   

   public boolean salvar(ArrayList listaElementos, File arquivo2){
        int i, classe; 
        ArrayList arrayListElemento= new ArrayList();
        ORFBO orfBO = new ORFBO();
       
        String nomeORF, linha;
       
	    try{   
	    	
	        BufferedWriter out = new BufferedWriter(new FileWriter(arquivo2));
	       
	        for(i=0;i<listaElementos.size();i++){                     
	           linha="";
                   classe=0;
	           arrayListElemento =(ArrayList) listaElementos.get(i);
                   for(int j=0;j<arrayListElemento.size();j++){                       
                       if (j==0){
                          ORFVO orfVO = new ORFVO(); 
                          nomeORF=(String) arrayListElemento.get(j);
                          orfVO.setNome(nomeORF);
                          orfVO.setTipo("t");
                          orfVO=orfBO.getORFVO(orfVO);
                          classe=orfVO.getClasse().getCod();
                         
                       } 
                       else if(j != (arrayListElemento.size()-1)){
                                 linha= linha + String.valueOf(arrayListElemento.get(j))+ " ";
                                
                             }else{
                               linha= linha + String.valueOf(classe);
                               classe=0;
                             }    
                     
                   } 
                   
                 
	         out.write(linha + '\n');
	       }
	       
              //Fecha o arquivo
	      out.close();
              String msg = "Tabela Treino salva com sucesso!.";
              JOptionPane.showMessageDialog(null,msg, "Salvar Arquivo", JOptionPane.INFORMATION_MESSAGE);              
              }
	    // Se hover erro na criao do arquivo.
	    catch (IOException e){
	    	JOptionPane.showMessageDialog( null,"Arquivo no pode ser salvo","Erro", JOptionPane.ERROR_MESSAGE );
	    	return false;
             }
	     return true;
   }

}
