/*
 * TabelaTreinoGera.java
 *
 * Created on 9 de Junho de 2007, 18:32
 */

package jorfinder.view;

import java.util.ArrayList;
import javax.swing.JOptionPane;
import javax.swing.JProgressBar;
import javax.swing.JTable;
import jorfinder.util.CalcularCaracteristica;
import jorfinder.util.CellRenderer;
import jorfinder.view.DadosJTableGabarito;
import jorfinder.business.GabaritoBO;
import jorfinder.business.ORFBO;
import jorfinder.information.GabaritoVO;
import jorfinder.information.ORFVO;
import jorfinder.swingModel.TabelaTreinoGabaritoTableModel;
import jorfinder.swingModel.TabelaTreinoORFTableModel;
import jorfinder.swingModel.*;

/**
 *
 * @author  MaTHeuS
 */
public class TabelaTreinoGerarFORM extends javax.swing.JDialog {

    private TabelaTreinoORFTableModel tabelaTreinoORFTableModel;
    private TabelaTreinoGabaritoTableModel tabelaTreinoGabaritoTableModel;
    private  DadosJTableGabarito dados;
    private ArrayList<ORFVO> arrayListORFVO = new ArrayList<ORFVO>();
    private ArrayList<GabaritoVO> arrayListGabaritoVO = new ArrayList<GabaritoVO>(); 
    private GerarTabelaTreinoTableModel meuTableModel; 
    private CalcularCaracteristica calcular;
    private Thread threadCalcularCaracteristica;
    
    
  //-------------------------------------------------------------------------------------
    /**
     * Creates new form TabelaTreinoGera
     */
    public TabelaTreinoGerarFORM(PrincipalFORM owner) {
        super(owner, "Gerar Tabela Treino", true);
        this.tabelaTreinoORFTableModel = new TabelaTreinoORFTableModel(new ORFBO());
        this.tabelaTreinoGabaritoTableModel = new  TabelaTreinoGabaritoTableModel(new GabaritoBO()); 

        initComponents();
        jTable2.setDefaultRenderer(Object.class, new CellRenderer());
        tabelaTreinoTable.setDefaultRenderer(Object.class, new CellRenderer());
        StatusBotoes(false);
        this.setVisible(true);
    }
    //-------------------------------------------------------------------------------------
   
     public JProgressBar getBarraStatus()
    {
        return jProgressBar1;
    }
    //------------------------------------------------------------------------------------
     public CalcularCaracteristica getCalcularCaracteristica()   
     {
     
        return calcular;
     
     }   
     //-----------------------------------------------------------------------------------
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        jLabel7 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jButton16 = new javax.swing.JButton();
        jButton17 = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        jButton18 = new javax.swing.JButton();
        jButton19 = new javax.swing.JButton();
        jButton1 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jSeparator1 = new javax.swing.JSeparator();
        jSeparator2 = new javax.swing.JSeparator();
        jScrollPane1 = new javax.swing.JScrollPane();
        tabelaTreinoTable = new javax.swing.JTable();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTable2 = new javax.swing.JTable();
        jProgressBar1 = new javax.swing.JProgressBar();
        jButton2 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setResizable(false);
        jLabel7.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel7.setText("Gabaritos");

        jLabel6.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel6.setText("ORFs Treino");

        jButton16.setText("Incluir Todos");
        jButton16.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton16MouseClicked(evt);
            }
        });

        jButton17.setText("Retirar");
        jButton17.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton17MouseClicked(evt);
            }
        });

        jLabel8.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabel8.setText("Status da  Gera\u00e7\u00e3o:");

        jButton18.setText("Gerar");
        jButton18.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton18MouseClicked(evt);
            }
        });

        jButton19.setText("Cancelar");
        jButton19.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton19MouseClicked(evt);
            }
        });

        jButton1.setText("Incluir Todos");
        jButton1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButton1MouseClicked(evt);
                IncluirTodosGabarito(evt);
            }
        });

        jButton3.setText("Retirar");
        jButton3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                RetirarGabarito(evt);
            }
        });

        tabelaTreinoTable.setModel(this.tabelaTreinoORFTableModel);
        jScrollPane1.setViewportView(tabelaTreinoTable);

        jTable2.setModel(this.tabelaTreinoGabaritoTableModel);
        jScrollPane2.setViewportView(jTable2);

        jButton2.setText("Visualizar Tabela Treino Gerada");
        jButton2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                botaoVisualizarTabelaTreino(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel7)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 635, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(20, 20, 20)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jButton3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jButton1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                    .addComponent(jLabel6)
                    .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 723, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addComponent(jButton18, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addComponent(jButton19, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addGap(20, 20, 20)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addComponent(jLabel8)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(jProgressBar1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addComponent(jButton2)))
                            .addComponent(jSeparator2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 632, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(23, 23, 23)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jButton17, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jButton16, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
                .addContainerGap(19, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel7)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButton1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jScrollPane2, 0, 0, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 13, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(15, 15, 15)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButton16)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButton17)
                        .addGap(152, 152, 152)
                        .addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 198, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jButton18)
                            .addComponent(jLabel8))
                        .addGap(12, 12, 12)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jButton19)
                            .addComponent(jButton2)))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(7, 7, 7)
                        .addComponent(jProgressBar1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-785)/2, (screenSize.height-539)/2, 785, 539);
    }//GEN-END:initComponents

    private void botaoVisualizarTabelaTreino(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_botaoVisualizarTabelaTreino
              new TabelaTreinoGerandoFORM(this);
    }//GEN-LAST:event_botaoVisualizarTabelaTreino

    private void IncluirTodosGabarito(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_IncluirTodosGabarito
        StatusBotoes(false);    
        this.tabelaTreinoGabaritoTableModel.atualizar();
    }//GEN-LAST:event_IncluirTodosGabarito

    private void RetirarGabarito(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_RetirarGabarito
        
     if(jTable2.getSelectedRows().length>0)
     {    
         StatusBotoes(false);  
        //pega os indices das linhas selecionadas na tabela
        int[] linhasSelec = this.getGabaritoTreinoTable().getSelectedRows();
        //pode parecer estranho mas tem que ser recursivo desse jeito porque se no o trsso 
        //num fununceia e eu no to com tempo de explicar agora
        for(int cont = linhasSelec.length-1; cont >= 0; cont--)
        {
            //como ele pode ter acabado de deletar um cara, ele tem que conferir novamente
            //se o indice no ultrapassa o total pra que no de um famoso indexOutOfBounds 
            if(linhasSelec[cont] < this.tabelaTreinoGabaritoTableModel.getArrayRegistros().size())
            {
                this.tabelaTreinoGabaritoTableModel.retirar(linhasSelec[cont]);
            }
        }  
        
     }
     else
     {
     
        JOptionPane.showMessageDialog(null, "Selecione os Gabarito!", "Retirar Gabarito", 1);
     }    
        
        
    }//GEN-LAST:event_RetirarGabarito

    private void jButton17MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton17MouseClicked
   
   if(tabelaTreinoTable.getSelectedRows().length>0)
   {    
        StatusBotoes(false);  
       //pega os indices das linhas selecionadas na tabela
        int[] linhasSelec = this.getORFTreinoTable().getSelectedRows();
        //pode parecer estranho mas tem que ser recursivo desse jeito porque se no o trsso 
        //num fununceia e eu no to com tempo de explicar agora
        for(int cont = linhasSelec.length-1; cont >= 0; cont--){
            //como ele pode ter acabado de deletar um cara, ele tem que conferir novamente
            //se o indice no ultrapassa o total pra que no de um famoso indexOutOfBounds 
            if(linhasSelec[cont] < this.tabelaTreinoORFTableModel.getArrayRegistros().size()){
                this.tabelaTreinoORFTableModel.retirar(linhasSelec[cont]);
           }
        }
        
     }
     else
     {
     
        JOptionPane.showMessageDialog(null, "Selecione as ORF`s! Treino", "Retirar ORF", 1);
     }  
    }//GEN-LAST:event_jButton17MouseClicked

    private void jButton19MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton19MouseClicked
        this.dispose();
    }//GEN-LAST:event_jButton19MouseClicked

    private void jButton18MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton18MouseClicked
        StatusBotoes(false);
        calcular =new CalcularCaracteristica(this.tabelaTreinoORFTableModel.getArrayRegistros(), this.tabelaTreinoGabaritoTableModel.getArrayRegistros(), this); 
        this.jProgressBar1.setMaximum(this.tabelaTreinoORFTableModel.getArrayRegistros().size()*this.tabelaTreinoGabaritoTableModel.getArrayRegistros().size());
        threadCalcularCaracteristica = new Thread(calcular);
        threadCalcularCaracteristica.start();
    }//GEN-LAST:event_jButton18MouseClicked

    private void jButton16MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton16MouseClicked
         StatusBotoes(false);
        this.tabelaTreinoORFTableModel.atualizar();
    }//GEN-LAST:event_jButton16MouseClicked

    private void jButton1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButton1MouseClicked
       //this.tabelaTreinoGabaritoTableModel.atualizar();
    }//GEN-LAST:event_jButton1MouseClicked

    //-----------------------------------------------------------------
    private JTable getORFTreinoTable() 
    {
        return this.tabelaTreinoTable;
    }
    //-------------------------------------------------------------------
     private JTable getGabaritoTreinoTable() 
     {
        return this.jTable2;
        
    }
   //--------------------------------------------------------------------
     
     public TabelaTreinoORFTableModel getTabelaTreinoORFTableModel()
    {    
       return this.tabelaTreinoORFTableModel;
    
    }
    //--------------------------------------------------------------------------
     public TabelaTreinoGabaritoTableModel gettabelaTreinoGabaritoTableModel()
    {
    
      return this.tabelaTreinoGabaritoTableModel;
    }
    //---------------------------------------------------------------------------
    public javax.swing.JButton getBotaoVisualizarTabelaTreino()
    {
       return this.jButton2;
    }
    //----------------------------------------------------------------------------
    public void StatusBotoes(boolean status)
    {
    
           jButton2.setEnabled(status);
    }
   //-----------------------------------------------------------------------------------
     public void executarTabelaTreiroGerarFORM()
     {
     
          new TabelaTreinoGerandoFORM(this);
     }
    
   //----------------------------------------------------------------------------------
    
    // Declarao de variveis - no modifique//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton16;
    private javax.swing.JButton jButton17;
    private javax.swing.JButton jButton18;
    private javax.swing.JButton jButton19;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JProgressBar jProgressBar1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JTable jTable2;
    private javax.swing.JTable tabelaTreinoTable;
    // Fim da declarao de variveis//GEN-END:variables
    
}
