package jorfinder.business;

import java.util.ArrayList;
import jorfinder.information.TipoORFVO;
import jorfinder.persistence.TipoORFDAO;
import jorfinder.util.Informacao;

public class TipoORFBO {
	
	
        private Informacao msg = new Informacao();

        public Informacao getMensagem(){
            return this.msg;
        }
	
        
        public TipoORFVO getObjetoByUnique(TipoORFVO obj){
            TipoORFDAO dao = new TipoORFDAO();
            TipoORFVO usuvo = dao.getObjetoByUnique(obj);
            if(usuvo == null){
                this.msg.setMsg("Erro! ORF invlido!");
                this.msg.setSucesso(false);  
            } else {
                this.msg.setMsg("ORF ok!");
                this.msg.setSucesso(true);
            }
            dao.commitAndCloseConn();
            return usuvo;
        }
        
        public ArrayList<TipoORFVO> getLista(){
        	
            TipoORFDAO dao = new TipoORFDAO();
            ArrayList<TipoORFVO> lista = dao.getListaObjeto();
            dao.commitAndCloseConn();
            return lista;
        }
        
        public void adiciona(TipoORFVO obj){
        	
            TipoORFDAO dao = new TipoORFDAO();
            try {
                if(this.getObjetoByUnique(obj) != null){
                    this.msg.setMsg("Erro! J existe um tipo orf com este nome no banco!");
                    this.msg.setSucesso(false);                     
                } else {
                	dao.adiciona(obj);
                    this.msg.setMsg("Cadastro realizado com sucesso!");
                    this.msg.setSucesso(true);
                }                       
            } catch (jorfinder.util.UniqueException ex) {
            	this.msg.setMsg("Houve falha ao inserir o registro!");
                this.msg.setSucesso(false);
            }finally{
            	dao.commitAndCloseConn();
            }
            
        }



}
