package jorfinder.persistence;


import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import jorfinder.information.CodonVO;
import jorfinder.log2java.Logger;
import jorfinder.util.UniqueException;
import jorfinder.util.VioletionFKException;

public class CodonDAO extends AbstractDAO<CodonVO>{

	public static Logger log = new Logger(CodonDAO.class.getName());
	
	public CodonDAO(){}
	
	public CodonDAO(java.sql.Connection conn){
		super(conn);
	}
	
	
	@Override
	public void adiciona(CodonVO obj) throws UniqueException {
		// no implementado devido a ser utilizado esse metodo	
	}

	@Override
	public void atualiza(CodonVO obj) throws UniqueException {
		// no implementado devido a ser utilizado esse metodo
		
	}

	@Override
	public void exclui(CodonVO obj) throws VioletionFKException {
		// no implementado devido a ser utilizado esse metodo
		
	}
        
        @Override
        public ArrayList<CodonVO> getListaObjeto() {
            PreparedStatement ps = null;
            ResultSet rs = null;
            CodonVO obj = null;
            ArrayList<CodonVO> array = new ArrayList<CodonVO>();

            try {
                ps = conn.prepareStatement("select cod, codon from codon order by cod");
                rs = ps.executeQuery();                
                while(rs.next()){
                    // Cria e popula o objeto
                    obj = new CodonVO();
                    obj.setCod(rs.getInt("cod"));
                    obj.setCodon(rs.getString("codon"));                           
                    array.add(obj);
                }                  
            }catch (SQLException e) {
                    log.exception("erro ao executar getListObjeto", e);
            }finally{
                    this.closePstmtAndResultSet(ps, rs);
            }
            return array;
	}

        @Override
		public CodonVO getObjetoByUnique(CodonVO objeto) {
            return null;
        }
        

}
