package jorfinder.view;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jorfinder.business.ProjetoBO;
import jorfinder.information.ProjetoVO;
import jorfinder.information.UsuarioVO;
import jorfinder.util.Mensagem;


public class ExcluirProjeto implements Action{

	public void execute(HttpServletRequest req, HttpServletResponse res)
			throws Exception {

		UsuarioVO usuario = (UsuarioVO) req.getSession().getAttribute("usuario");
		int codProjeto = Integer.parseInt(req.getParameter("cod"));
		ProjetoVO proje = new ProjetoVO();
		proje.setCod(codProjeto);
		
		ProjetoBO bo = new ProjetoBO();
		
		if (bo.UsuarioTemPermissaoAcesso(proje, usuario)){
			bo.excluirProjeto(proje);
			req.setAttribute("alert", new Mensagem().getMensagem("projeto.exclusao.ok"));
			
        	
		}else{
		    	req.setAttribute("mensagem", new Mensagem().getMensagem("projeto.exclusao.erro"));
	        }
		
		
		RequestDispatcher rd = req.getRequestDispatcher("/jw/ListaProjeto");
                rd.forward(req, res);
		
	}

}
