package jorfinder.view;

import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jorfinder.business.ProjetoBO;
import jorfinder.information.ProjetoVO;
import jorfinder.information.UsuarioVO;


public class ListaProjeto implements Action {

	public void execute(HttpServletRequest req, HttpServletResponse res)
			throws Exception {
	    
        UsuarioVO usuario = (UsuarioVO) req.getSession().getAttribute("usuario");
        req.setAttribute("usuario", usuario);
        ProjetoBO bo = new ProjetoBO();
        List<ProjetoVO> projetos = bo.getListaProjetoUsuario(usuario);

        req.setAttribute("projetos", projetos);
        
        RequestDispatcher rd = req.getRequestDispatcher("/WEB-INF/jsp/projetoRelat.jsp");
        rd.forward(req, res);

	}

}
