/*
 * PesquisaBean.java
 *
 * Created on 16 de Outubro de 2007, 08:12
 */
 
package jorfinder.view;

import java.util.ArrayList;
import java.util.List;
import jorfinder.business.ORFBO;
import jorfinder.business.PesquisaBO;
import jorfinder.business.ProjetoBO;
import jorfinder.business.RedeBO;
import jorfinder.information.ORFVO;
import jorfinder.information.PesquisaVO;
import jorfinder.information.ProjetoVO;
import jorfinder.information.RedeVO;

/**
 *
 * @author matheus
 */
public class PesquisaBean {
    public final int contespaco = 5;
    public String usuario;  
    
    public int getContespaco(){
        return this.contespaco;
    }
    public List<ORFVO> getLista( int cod, int linha) {
        
        ORFBO fragbo = new ORFBO();
        ORFVO fragvo = new ORFVO();
        fragvo.setCodPesquisa(cod);
        fragvo.setLinha(linha);
        List<ORFVO> listfrag = fragbo.getListaObjeto(fragvo);
        return listfrag;        
    } 
    
    public ProjetoVO getProjeto(int cod) {
        ProjetoVO projvo = new ProjetoVO();
        ProjetoBO projbo = new ProjetoBO();
        projvo.setCod(cod);
        return projbo.getObjetoByUnique(projvo);      
    } 
    
    public String[] getLinha(int cod, int linha){
        int ultimoStop = 0;
        String classecss = null;
        String ultimaclasse = null;
        ORFBO fragbo = new ORFBO();
        ORFVO fragvo = new ORFVO();
        fragvo.setCodPesquisa(cod);
        fragvo.setLinha(linha);
        int numCodonsDNA = getObjetoByUnique(cod).getDna().length()/3;
        String[] htmlret = new String[numCodonsDNA];
        List<ORFVO> listfrag = fragbo.getListaObjeto(fragvo);
        
        
        for(int pos = 0; pos < htmlret.length; pos++){
            htmlret[pos] = "&nbsp;";
        }
        for(int cont = 0; cont < listfrag.size(); cont++){
            //verifica o orf  protena e mostra com a class css de acordo
            if(listfrag.get(cont).getCodTipoORF()==1){
               classecss = "orflinksimrede";
            } else if(listfrag.get(cont).getCodTipoORF()==2) {
               classecss = "orflinknaorede";            
            } else if(listfrag.get(cont).getCodTipoORF()==3) {
               classecss = "orflinksimuser";            
            } else if(listfrag.get(cont).getCodTipoORF()==4) {
               classecss = "orflinknaouser";            
            }
            //verifica se o stop  diferente e seta as classes css de acordo
            //aqui est  concatenada as variaveis gets, o title e classes do css
            if(ultimoStop != listfrag.get(cont).getPosCodonStop()){
                htmlret[listfrag.get(cont).getPosCodonStart()] = "?codPesquisa="+listfrag.get(cont).getCodPesquisa()+"&linha="+listfrag.get(cont).getLinha()+"&posCodonStart="+listfrag.get(cont).getPosCodonStart()+"&posCodonStop="+listfrag.get(cont).getPosCodonStop()+"' class='orflink "+classecss+"' title='"+listfrag.get(cont).getObservacao()+"' >>";  
                ultimaclasse = classecss;
            } else {
                htmlret[listfrag.get(cont).getPosCodonStart()] = "?codPesquisa="+listfrag.get(cont).getCodPesquisa()+"&linha="+listfrag.get(cont).getLinha()+"&posCodonStart="+listfrag.get(cont).getPosCodonStart()+"&posCodonStop="+listfrag.get(cont).getPosCodonStop()+"' class='orflink "+ultimaclasse+"' title='"+listfrag.get(cont).getObservacao()+"'><span class='"+classecss+"'>></span>";  
            }
            for(int posCodon = listfrag.get(cont).getPosCodonStart()+1; posCodon < listfrag.get(cont).getPosCodonStop(); posCodon++){
                 htmlret[posCodon] = "-";  
            }  
            htmlret[listfrag.get(cont).getPosCodonStop()] = "|</a>";
          
            //guarda o posio de stop para comparar como oprximo orf 
            ultimoStop = listfrag.get(cont).getPosCodonStop();
        }     
        
        return htmlret;
    }
    
    public PesquisaVO getObjetoByUnique(int cod){
        PesquisaVO pesqvo = new PesquisaVO();
        pesqvo.setCod(cod);
        PesquisaBO pesqbo = new PesquisaBO();
        return pesqbo.getObjetoByUnique(pesqvo);        
    }    
    
    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }
    
    public ArrayList<RedeVO> getRede(){
        RedeBO redebo = new RedeBO();
        return redebo.getListaObjeto();
    }
}
