<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="disp" tagdir="/WEB-INF/tags/" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean class="jorfinder.view.ORFBean" scope="request" id="orfbean"/>
<%@ page import="java.util.List" %>
<%@ page import="jorfinder.information.ORFVO" %>
<%@ page import="jorfinder.information.TipoORFVO" %>

<%
//envia o os parametros get para a bean criar um ORFVO apartir deles
orfbean.setORFVO(Integer.parseInt(request.getParameter("codPesquisa")), Integer.parseInt(request.getParameter("linha")),
                Integer.parseInt(request.getParameter("posCodonStart")), Integer.parseInt(request.getParameter("posCodonStop")));

%>
<html>
    <head>
        <disp:cabec/>
    </head>	  
    <body <% if(request.getAttribute("alert") != null){
            out.print("onload=\"");
            out.print("alert('" + request.getAttribute("alert") + "')\"");
           }%>>	
    <div id="WholePage">
         <div id="Inner">
            <div id="Container">
                 <disp:top/>
                 <div id="CentralPart">                    
                    <div id="inteiro">
                        <div id="Pageinteiro">
                            <div id="Page_header_inteiro">
                                <h1>Informaes sobre a ORF</h1>
                                <input type="button" class="botao" value="Voltar" onClick="javascript:history.go(-1)">
                                
                                <div class="formulario">
                                    <form name="form" action="<c:url value="/jw/AlterarORF"/>" method="post">
                                        <input type="hidden" name="action" value="AlterarORF">  
                                        <input type="hidden" name="codPesquisa" value="<%=request.getParameter("codPesquisa")%>">
                                        <input type="hidden" name="linha" value="<%=request.getParameter("linha")%>">
                                        <input type="hidden" name="posCodonStart" value="<%=request.getParameter("posCodonStart")%>">
                                        <input type="hidden" name="posCodonStop" value="<%=request.getParameter("posCodonStop")%>">
                                        
                                        <table>
                                             <tr>
                                                <td colspan="4"><span class="orf"><%=orfbean.getSequencia()%> </span></td>
                                            </tr>
                                            <tr>
                                                <td>Linha:</td>
                                                <td><%=request.getParameter("linha")%></td>
                                                <td>Intervalo em cdons:</td>
                                                <td><%=request.getParameter("posCodonStart")%>...<%=request.getParameter("posCodonStop")%></td>
                                            </tr>
                                            <tr>
                                                <td>Classificao:</td>
                                                <td>
                                                    <select name="codTipoORF" class="combobox"> 
                                                        <% 
                                                        for(TipoORFVO tipo : orfbean.getListaTipoORF()){
                                                        if(tipo.getCod() == orfbean.getClassificacao().getCod()){
                                                        out.print("<option selected value="+tipo.getCod()+">"+tipo.getTipo()+"</option>");
                                                        } else {
                                                        out.print("<option value='"+tipo.getCod()+"'>"+tipo.getTipo()+"</option>");
                                                        
                                                        }
                                                        }
                                                        %>
                                                    </select>
                                                </td>
                                                <td>Observao:</td>
                                                <td><input type="text" class="inputao" name="observacao" value="<%=orfbean.getObservacao()%>"></td>
                                            </tr>
                                           
                                            <tr>
                                                    <td><input type="submit" value="Alterar" class="botao"></td>
                                          </tr>
                                            
                                        </table>
                                    </form>
                                    <br><br>
                                    CONSULTAR NCBI
                                    <form target="_blank" action="http://www.ncbi.nlm.nih.gov/BLAST/Blast.cgi" enctype="application/x-www-form-urlencoded" method="post">
                                        Com
                                        <select name="PROGRAM" class="combobox">
                                        <option slected=""> blastn
                                        </option><option> blastx
                                        </option><option> tblastx
                                        </option></select>
                                        Contra
                                        <select name="DATABASE" class="combobox">
                                        <option>nr
                                        </option></select>

                                        Formato
                                        <select name="FORMAT_TYPE" class="combobox">
                                        <option selected="selected" value="HTML">HTML
                                        </option><option value="Text">Plain text
                                        </option><option value="ASN.1">ASN.1
                                        </option><option value="XML">XML
                                        </option></select>
                                        <input name="FILTER" value="L" type="checkbox">Filtro
                                        <input name="SHOW_OVERVIEW" checked="checked" type="checkbox">Visualizao grfica
                                        <input name="AUTO_FORMAT" value="On" type="hidden">
                                        <input name="CMD" value="put" type="hidden">
                                        <input name="QUERY" value="<%=orfbean.getSequencia()%>
                                        " type="hidden">
                                        <input value="Procurar" type="submit" class="botao">
                                    </form>
                                    <% if(request.getAttribute("mensagem") != null){
                                                out.println("<div class=\"icone_alerta\">");
                                                out.println("<div class=\"msg_alerta\">");
                                                out.print(request.getAttribute("mensagem"));
                                                out.println("</div></div>");
                                        }%>
                                </div>			
                            </div>                                                
                        </div>
                    </div>
                    <div class="cleaner"></div>
                </div>
                <disp:bottom/>                 
            </div>
        </div>
    </div>
</body>
</html>
 
    
