<%@ taglib prefix="disp" tagdir="/WEB-INF/tags/" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
    	<script language="JavaScript" src="<c:url value="/js/excluir.js"/>"></script>
        <disp:cabec/>
    </head>
  
    <body <% if(!(request.getAttribute("alert") == null)){
							out.print("onload=\"");
							out.print("alert('" + request.getAttribute("alert") + "')\"");
							
	}%>> 
	   	
    <div id="WholePage">
         <div id="Inner">
            <div id="Container">
                 <disp:top/>
                 
                 <div id="CentralPart">                    
                    <div id="inteiro">
                        <div id="Pageinteiro">
                            <div id="Page_header_inteiro">
                                <h1>Projetos</h1>
                                <input type="button" class="botao" value="Novo Projeto" onClick="window.location = '<c:url value="/jw/pages/projetoCad.jsp"/>'">
                                
                                <div class="relatorio">
                                   <table title='Relaco de projetos que voc possui acesso'>
                                        <tr><th>Nome</th><th width="350">Descrio</th><th>Ver pesquisas</th><th>Editar</th><th>Excluir</th></tr>
                                        <c:forEach var="projeto" items="${projetos}">
											<c:if test="${projeto.owner.cod == usuario.cod}">
												<tr onMouseOver="this.style.background = 'white';" onMouseOut="this.style.background = '#eff0f5';" >
		                                        	<td>${projeto.nome}</td>
		                                        	<td>${projeto.descricao}</td>
		                                        	<td><a href="<c:url value="/jw/ListaPesquisa?projeto="/>${projeto.cod}">Visualizar</a></td>
		                                        	<td><a href="<c:url value="/jw/EditaProjeto?cod="/>${projeto.cod}">Editar</a></td>
		                                        	<td><a href="#" onclick="excluir('<c:url value="/jw/ExcluirProjeto?cod="/>${projeto.cod}')">Excluir</a></td>
                                        		</tr>
											</c:if>
											
											<c:if test="${projeto.owner.cod != usuario.cod }">
												<tr onMouseOver="this.style.background = 'white';" onMouseOut="this.style.background = '#eff0f5';" >
		                                        	<td>${projeto.nome}</td>
		                                        	<td>${projeto.descricao}</td>
		                                        	<td><a href="<c:url value="/jw/ListaPesquisa?projeto="/>${projeto.cod}">Visualizar</a></td>
		                                        	<td></td>
		                                        	<td></td>
                                        		</tr>
											</c:if>
										</c:forEach>
                                        
                                   </table>
                   					<% if(!(request.getAttribute("mensagem") == null)){
										out.println("<div class=\"icone_alerta\">");
										out.println("<div class=\"msg_alerta\">");
										out.print(request.getAttribute("mensagem"));
										out.println("</div></div>");
									}%>
                                </div>		
			
                            </div>
                                                 
                        </div>
                    </div>
                    <div class="cleaner"></div>
                </div>

                <disp:bottom/> 
            </div>
        </div>
    </div>
</body>
</html>
 
    
